<?php
/**
 * @version    1.4
 * @package    VG Flexshop
 * @author     VinaGecko <support@vinagecko.com>
 * @flexshop  Copyright (C) 2015 VinaGecko.com. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * Websites: http://vinagecko.com
 */

//Require plugins
require_once get_template_directory () . '/class-tgm-plugin-activation.php';
function flexshop_register_required_plugins() {

    $plugins = array(
		array(
            'name'               => esc_html__('Mega Main Menu', 'vg-flexshop'),
            'slug'               => 'mega_main_menu',
            'source'             => esc_url('http://wordpress.vinagecko.net/l/mega_main_menu.zip'),
            'required'           => true,
            'external_url'       => '',
        ),
		array(
            'name'               => esc_html__('Visual Composer', 'vg-flexshop'),
            'slug'               => 'js_composer',
            'source'             => esc_url('http://wordpress.vinagecko.net/l/js_composer.zip'),
            'required'           => true,
            'external_url'       => '',
        ),
		array(
            'name'               => esc_html__('Redux Framework', 'vg-flexshop'),
            'slug'               => 'redux-framework',
			'required'           => true,
        ),
		array(
            'name'               => esc_html__('VG WooCarousel', 'vg-flexshop'),
            'slug'               => 'vg-woocarousel',
			'source'             => esc_url('http://wordpress.vinagecko.net/l/vg-woocarousel.zip'),
            'required'           => true,
            'external_url'       => '',
        ),
		array(
            'name'               => esc_html__('VG PostCarousel', 'vg-flexshop'),
            'slug'               => 'vg-postcarousel',
			'source'             => esc_url('http://wordpress.vinagecko.net/l/vg-postcarousel.zip'),
            'required'           => true,
            'external_url'       => '',
        ),
		array(
            'name'               => esc_html__('Revolution Slider', 'vg-flexshop'),
            'slug'               => 'revslider',
            'source'             => esc_url('http://wordpress.vinagecko.net/l/revslider.zip'),
            'required'           => true,
            'external_url'       => '',
        ),
        // Plugins from the WordPress Plugin Repository.
		
		array(
            'name'      => esc_html__('WooCommerce', 'vg-flexshop'),
            'slug'      => 'woocommerce',
            'required'  => true,
        ),
		array(
            'name'      		 => esc_html__('WordPress AJAX Search & AutoSuggest Plugin', 'vg-flexshop'),
            'slug'     			 => 'ajax-search-autosuggest',
            'required' 			 => true,
            'source'             => esc_url('http://wordpress.vinagecko.net/l/ajax-autosuggest-plugin.zip'),
            'external_url'       => '',
        ),		
		array(
            'name'      => esc_html__('YITH WooCommerce Compare', 'vg-flexshop'),
            'slug'      => 'yith-woocommerce-compare',
            'required'  => true,
        ),		
		array(
            'name'      => esc_html__('YITH WooCommerce Wishlist', 'vg-flexshop'),
            'slug'      => 'yith-woocommerce-wishlist',
            'required'  => true,
        ),
    );

    /**
     * Array of configuration settings. Amend each line as needed.
     * If you want the default strings to be available under your own theme domain,
     * leave the strings uncommented.
     * Some of the strings are added into a sprintf, so see the comments at the
     * end of each line for what each argument will be.
     */
    $config = array(
        'default_path' => '',                      // Default absolute path to pre-packaged plugins.
        'menu'         => 'tgmpa-install-plugins', // Menu slug.
        'has_notices'  => true,                    // Show admin notices or not.
        'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
        'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
        'is_automatic' => false,                   // Automatically activate plugins after installation or not.
        'message'      => '',                      // Message to output right before the plugins table.
        'strings'      => array(
            'page_title'                      => esc_html__( 'Install Required Plugins', 'vg-flexshop' ),
            'menu_title'                      => esc_html__( 'Install Plugins', 'vg-flexshop' ),
            'installing'                      => esc_html__( 'Installing Plugin: %s', 'vg-flexshop' ), // %s = plugin name.
            'oops'                            => esc_html__( 'Something went wrong with the plugin API.', 'vg-flexshop' ),
            'notice_can_install_required'     => _n_noop( 'This g requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.', 'vg-flexshop' ), // %1$s = plugin name(s).
            'notice_can_install_recommended'  => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.', 'vg-flexshop' ), // %1$s = plugin name(s).
            'notice_cannot_install'           => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.', 'vg-flexshop' ), // %1$s = plugin name(s).
            'notice_can_activate_required'    => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'vg-flexshop' ), // %1$s = plugin name(s).
            'notice_can_activate_recommended' => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'vg-flexshop' ), // %1$s = plugin name(s).
            'notice_cannot_activate'          => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.', 'vg-flexshop' ), // %1$s = plugin name(s).
            'notice_ask_to_update'            => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.', 'vg-flexshop' ), // %1$s = plugin name(s).
            'notice_cannot_update'            => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.', 'vg-flexshop' ), // %1$s = plugin name(s).
            'install_link'                    => _n_noop( 'Begin installing plugin', 'Begin installing plugins', 'vg-flexshop' ),
            'activate_link'                   => _n_noop( 'Begin activating plugin', 'Begin activating plugins', 'vg-flexshop' ),
            'return'                          => esc_html__( 'Return to Required Plugins Installer', 'vg-flexshop' ),
            'plugin_activated'                => esc_html__( 'Plugin activated successfully.', 'vg-flexshop' ),
            'complete'                        => esc_html__( 'All plugins installed and activated successfully. %s', 'vg-flexshop' ), // %s = dashboard link.
            'nag_type'                        => 'updated' // Determines admin notice type - can only be 'updated', 'update-nag' or 'error'.
        )
    );

    tgmpa( $plugins, $config );

}
add_action( 'tgmpa_register', 'flexshop_register_required_plugins' ); 

//Init the Redux Framework
if ( class_exists( 'ReduxFramework' ) && !isset( $redux_demo ) && file_exists( get_template_directory().'/theme-config.php' ) ) {
    require_once( get_template_directory().'/theme-config.php' );
}

//Add Woocommerce support
add_theme_support( 'woocommerce' );
add_theme_support( 'wc-product-gallery-zoom' );
add_theme_support( 'wc-product-gallery-lightbox' );
add_theme_support( 'wc-product-gallery-slider' );
remove_action( 'woocommerce_before_main_content', 'woocommerce_output_content_wrapper', 10);
remove_action( 'woocommerce_after_main_content', 'woocommerce_output_content_wrapper_end', 10);
remove_action( 'woocommerce_before_main_content', 'woocommerce_breadcrumb', 20);

function flexshop_start_wrapper_here() { // Start wrapper 
	
	if (is_shop()) { // Wrapper for the shop page

		echo '<div class="shop-wrapper">';

	} elseif (is_product_category() || is_product_tag()) {  // Wrapper for a product category page

		echo '<div class="product-category-wrapper">';

	} elseif (is_product()) { // Wrapper for a single product page

		echo '<div class="product-wrapper">';

	}
}

add_action(  'woocommerce_before_main_content', 'flexshop_start_wrapper_here', 20  );


add_action(  'woocommerce_after_main_content', 'flexshop_start_wrapper_here_end', 50  );
function flexshop_start_wrapper_here_end() { // Start wrapper
	echo '</div>';
}
add_action( 'woocommerce_breadcrumb_content', 'woocommerce_breadcrumb', 20);

add_filter('woocommerce_product_get_rating_html', 'flexshop_get_rating_html', 10, 2);

function flexshop_get_rating_html($rating_html, $rating) {
  global $product;
  if ( $rating > 0 ) {
    $title = sprintf( esc_html__( 'Rated %s out of 5', 'vg-flexshop' ), $rating );
  } else {
    $title = 'Not yet rated';
    $rating = 0;
  }

  $rating_html  = '<div class="vgwc-product-rating">';
	  $rating_html  .= '<div class="star-rating" title="' . esc_attr($title) . '">';
		$rating_html .= '<span style="width:' . esc_attr(( ( $rating / 5 ) * 100 )) . '%"><strong class="rating">' . $rating . '</strong> ' . esc_html__( 'out of 5', 'vg-flexshop' ) . '</span>';
	  $rating_html .= '</div>';
	  $rating_html .= $product->get_review_count(). esc_html__(" review(s)", "vg-flexshop");
  $rating_html .= '</div>';

  return $rating_html;
}

// Ensure cart contents update when products are added to the cart via AJAX (place the following in functions.php)
function flexshop_woocommerce_header_add_to_cart_fragment( $fragments ) {
	ob_start();
	?>
	
	<span class="mcart-number"><?php echo WC()->cart->cart_contents_count; ?></span>
	
	<?php
	$fragments['span.mcart-number'] = ob_get_clean();
	
	return $fragments;
} 
add_filter( 'woocommerce_add_to_cart_fragments', 'flexshop_woocommerce_header_add_to_cart_fragment' );

//Change price html
add_filter( 'woocommerce_get_price_html', 'flexshop_woo_price_html', 100, 2 );
function flexshop_woo_price_html( $price, $product ){
	if ( $product->is_type( 'variable' ) ) {
		return '<div class="vgwc-product-price price-variable">'. $price .'</div>';
	}
	else {
		return '<div class="vgwc-product-price">'. $price .'</div>';
	}
}

remove_action( 'woocommerce_archive_description', 'woocommerce_taxonomy_archive_description', 10 );
// Add image to category description
function flexshop_woocommerce_category_image() {
	global $wp_query,$flexshop_options;
	if ( is_product_category() || is_shop() || is_product_tag()){
		$image = '';
		if(is_product_category() || is_product_tag()) {
			$cat = $wp_query->get_queried_object();
			$thumbnail_id = get_woocommerce_term_meta( $cat->term_id, 'thumbnail_id', true );
			$image = wp_get_attachment_url( $thumbnail_id );
		}
		if( empty($cat->description) && isset($flexshop_options['cat_description']) && !empty($flexshop_options['cat_description'])) {
			?><div class="term-description vg-description"><?php echo  $flexshop_options['cat_description']; ?></div><?php
		}
		else if(!empty($cat->description)) {
			?><div class="term-description"><?php echo  $cat->description ?></div><?php	
		}
	    if ( ($image && !empty($image))) {?>
		   <div class="category-image-desc"><img src="<?php echo esc_url($image); ?>" alt=""></div>
		<?php } else if(isset($flexshop_options['cat_banner_link']) && !empty($flexshop_options['cat_banner_link']) && isset($flexshop_options['cat_banner_img']) && !empty($flexshop_options['cat_banner_img'])) { ?>
			<div class="category-image-desc vg-cat-img"><a href="<?php echo esc_url($flexshop_options['cat_banner_link']); ?>"><img src="<?php echo esc_url($flexshop_options['cat_banner_img']['url']); ?>" alt=""></a></div>
		<?php } else if(isset($flexshop_options['cat_banner_img']) && !empty($flexshop_options['cat_banner_img'])) { ?>
			<div class="category-image-desc vg-cat-img"><img src="<?php echo esc_url($flexshop_options['cat_banner_img']['url']); ?>" alt=""></div>
		<?php }
	}
}
add_action( 'woocommerce_archive_description', 'flexshop_woocommerce_category_image', 20 );

// Change products per page
function flexshop_woo_change_per_page() {
	global $flexshop_options;
	$product_per_page = isset($flexshop_options['product_per_page']) ? $flexshop_options['product_per_page'] : 12; 

	return $product_per_page;
}
add_filter( 'loop_shop_per_page', 'flexshop_woo_change_per_page', 20 );

function flexshop_copyright() {
	global $flexshop_options;
	$copynotice = (isset($flexshop_options['copyright-notice'])) ? $flexshop_options['copyright-notice'] : '' ;
	$copylink 	= (isset($flexshop_options['copyright-link'])) ? $flexshop_options['copyright-link'] : '' ;
	if(strpos($copynotice,'{') && strpos($copynotice,'}') && $copylink) {
		$flexshop = str_ireplace('{','<a href="' . esc_url($copylink) .'">',$copynotice);
		$flexshop = str_ireplace('}','</a>',$flexshop);
	}
	else {
		$flexshop = $copynotice;
	}
	
	return $flexshop;
}


//Limit number of products by shortcode [products]
//add_filter( 'woocommerce_shortcode_products_query', 'flexshop_woocommerce_shortcode_limit' );
function flexshop_woocommerce_shortcode_limit( $args ) {
	global $flexshop_options, $flexshop_productsfound;
	
	if(isset($flexshop_options['shortcode_limit']) && $args['posts_per_page']==-1) {
		$args['posts_per_page'] = $flexshop_options['shortcode_limit'];
	}
	
	$flexshop_productsfound = new WP_Query($args);
	$flexshop_productsfound = $flexshop_productsfound->post_count;
	
	return $args;
}

// Change number or products per row to 4
function flexshop_loop_columns() {
	global $flexshop_options;
	$flexshop_options['product_per_row'] = isset($flexshop_options['product_per_row']) ? $flexshop_options['product_per_row'] : 3;
	return $flexshop_options['product_per_row'];
}
add_filter('loop_shop_columns', 'flexshop_loop_columns', 999);

//Change number of related products on product page. Set your own value for 'posts_per_page'
function flexshop_woo_related_products_limit( $args ) {
	global $product, $flexshop_options;
	$flexshop_options['related_amount'] = isset($flexshop_options['related_amount']) ? $flexshop_options['related_amount'] : 6;
	$args['posts_per_page'] = $flexshop_options['related_amount'];

	return $args;
}
add_filter( 'woocommerce_output_related_products_args', 'flexshop_woo_related_products_limit' );

//move message to top
remove_action( 'woocommerce_before_shop_loop', 'wc_print_notices', 10 );
add_action( 'woocommerce_show_message', 'wc_print_notices', 10 );


function flexshop_view_mode_woocommerce_shop_loop() {
	global $flexshop_options;
	$flexshop_options['layout_product'] = isset($flexshop_options['layout_product']) ? $flexshop_options['layout_product'] : 'gridview';
	
	$customJSGrid = "
		jQuery(document).ready(function(){
			jQuery('.view-mode').each(function(){
				/* Grid View */					
				jQuery('#archive-product .view-mode').find('.grid').addClass('active');
				jQuery('#archive-product .view-mode').find('.list').removeClass('active');
				
				jQuery('#archive-product .shop-products').removeClass('list-view');
				jQuery('#archive-product .shop-products').addClass('grid-view');
				
				jQuery('#archive-product .list-col4').removeClass('col-xs-12 col-sm-6 col-lg-4');
				jQuery('#archive-product .list-col8').removeClass('col-xs-12 col-sm-6 col-lg-8');
			});
		});
	";
	
	$customJSList = "
		jQuery(document).ready(function(){
			jQuery('.view-mode').each(function(){
				/* List View */								
				jQuery('#archive-product .view-mode').find('.list').addClass('active');
				jQuery('#archive-product .view-mode').find('.grid').removeClass('active');
				
				jQuery('#archive-product .shop-products').addClass('list-view');
				jQuery('#archive-product .shop-products').removeClass('grid-view');
				
				jQuery('#archive-product .list-col4').addClass('col-xs-12 col-sm-6 col-lg-4');
				jQuery('#archive-product .list-col8').addClass('col-xs-12 col-sm-6 col-lg-8');
			});
		});
	";
	
	$customJS = ($flexshop_options['layout_product'] == 'gridview') ? $customJSGrid : $customJSList;
	wp_add_inline_script('flexshop-theme-js', $customJS);
}
add_filter( 'woocommerce_before_shop_loop', 'flexshop_view_mode_woocommerce_shop_loop', 5 );
add_filter( 'woocommerce_after_shop_loop', 'flexshop_view_mode_woocommerce_shop_loop', 5 );

//Select Grid Url
function flexshop_view_mode_woocommerce_shop_loop_url() {
	$view = 'gridview';
	if(isset($_GET['view']) && $_GET['view']!=''){
		$view = $_GET['view'];
		$customJSGrid = "
			jQuery(document).ready(function(){
				jQuery('.view-mode').each(function(){
					/* Grid View */					
					jQuery('#archive-product .view-mode').find('.grid').addClass('active');
					jQuery('#archive-product .view-mode').find('.list').removeClass('active');
					
					jQuery('#archive-product .shop-products').removeClass('list-view');
					jQuery('#archive-product .shop-products').addClass('grid-view');
					
					jQuery('#archive-product .list-col4').removeClass('col-xs-12 col-sm-6 col-lg-4');
					jQuery('#archive-product .list-col8').removeClass('col-xs-12 col-sm-6 col-lg-8');
				});
			});
		";
		$customJSList = "
			jQuery(document).ready(function(){
				jQuery('.view-mode').each(function(){
					/* List View */								
					jQuery('#archive-product .view-mode').find('.list').addClass('active');
					jQuery('#archive-product .view-mode').find('.grid').removeClass('active');
					
					jQuery('#archive-product .shop-products').addClass('list-view');
					jQuery('#archive-product .shop-products').removeClass('grid-view');
					
					jQuery('#archive-product .list-col4').addClass('col-xs-12 col-sm-6 col-lg-4');
					jQuery('#archive-product .list-col8').addClass('col-xs-12 col-sm-6 col-lg-8');
				});
			});
		";
		
		$customJS = ($view == 'gridview') ? $customJSGrid : $customJSList;
		wp_add_inline_script('flexshop-theme-js', $customJS);
	}
}
add_filter( 'woocommerce_after_girdview', 'flexshop_view_mode_woocommerce_shop_loop_url', 30 );

remove_action( 'woocommerce_after_shop_loop', 'woocommerce_result_count', 10 );

/*Remove product link open*/
remove_action( 'woocommerce_before_shop_loop_item', 'woocommerce_template_loop_product_link_open', 10 );
remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_product_link_close', 5 );


/*Close div*/

//Single product organize
remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_price', 10 );
add_action	( 'woocommerce_single_product_summary', 'woocommerce_template_single_price', 20 );
remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_excerpt', 20 );
add_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_excerpt', 25 );
// WooCommerce Upsell hook
remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_upsell_display', 15 );
add_action( 'woocommerce_show_related_products', 'woocommerce_upsell_display', 15 );
remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_output_related_products', 20 );
add_action( 'woocommerce_show_related_products', 'woocommerce_output_related_products', 20 );

remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_short_description', 10 );
remove_action( 'woocommerce_cart_collaterals', 'woocommerce_cart_totals');

// Add previous and next links to products under the product details
add_action( 'woocommerce_single_product_summary', 'flexshop_next_prev_products_links', 1 );
function flexshop_next_prev_products_links() {
	?><div class="product-nav pull-right">
		<div class="next-prev">
			<div class="prev"><?php previous_post_link('%link'); ?></div>
			<div class="next"><?php next_post_link('%link'); ?></div>
		</div>
	</div>
	<?php
}

function flexshop_single_meta(){
	global $flexshop_options;
	//remove single meta
	if(isset($flexshop_options['single_meta']) && $flexshop_options['single_meta']) {
	  remove_action( 'woocommerce_single_product_summary', 'woocommerce_template_single_meta', 40 );
	}
}
add_action( 'init', 'flexshop_single_meta' );

//Display social sharing on product page
function flexshop_woocommerce_social_share(){
	global $flexshop_options;
?>
	<div class="share_buttons">
		<?php if (isset($flexshop_options['share_code']) && $flexshop_options['share_code']!='') {
			echo wp_kses($flexshop_options['share_code'], array(
				'div' => array(
					'class' => array()
				),
				'span' => array(
					'class' => array(),
					'displayText' => array()
				),
			));
		} ?>
	</div>
<?php
}
add_action( 'vg_social_share', 'flexshop_woocommerce_social_share', 35 );

//Display stock status on product page
function flexshop_product_stock_status(){
	global $product;
	?>
	<div class="in-stock">
		<?php esc_html_e('Availability:', 'vg-flexshop');?> 
		<?php if($product->is_in_stock()){ ?>
			<span><?php echo $product->get_stock_quantity()." "; ?><?php esc_html_e('In stock', 'vg-flexshop');?></span>
		<?php } else { ?>
			<span class="out-stock"><?php esc_html_e('Out of stock', 'vg-flexshop');?></span>
		<?php } ?>	
	</div>
	<?php
}
add_action( 'woocommerce_single_product_summary', 'flexshop_product_stock_status', 15 ); 
 
//Show countdown on product page
function flexshop_product_countdown(){
	global $product;
	$product_countdown ='';
	if ($product->is_in_stock()) {
	?>
		<?php
		$countdown = false;
		$sale_end = get_post_meta( $product->get_id(), '_sale_price_dates_to', true );
		/* simple product */
		if($sale_end){
			$countdown = true;
			$sale_end = date('Y/m/d', (int)$sale_end);
			?>
			<?php $product_countdown .='<div class="box-timer"><div class="timer-grid" data-time="'.esc_attr($sale_end).'"></div></div>'; ?>
		<?php } ?>
		<?php /* variable product */
		if($product->get_children()){
			$vsale_end = array();
			
			foreach($product->get_children() as $pvariable){
				$vsale_end[] = (int)get_post_meta( $pvariable, '_sale_price_dates_to', true );
				
				if( get_post_meta( $pvariable, '_sale_price_dates_to', true ) ){
					$countdown = true;
				}
			}
			if($countdown){
				/* get the latest time */
					$vsale_end_date = max($vsale_end);
					$vsale_end_date = date('Y/m/d', $vsale_end_date);
					?>
					<?php $product_countdown .='<div class="box-timer"><div class="timer-grid" data-time="'.esc_attr($vsale_end_date).'"></div></div>'; ?>
				<?php
			}
		}
		?>
	<?php
	}
	echo $product_countdown;
}

add_action( 'woocommerce_single_product_summary', 'flexshop_product_countdown', 35 ); 
add_action( 'get_flexshop_product_countdown', 'flexshop_product_countdown' ); 
 
//Show buttons wishlist, compare, email on product page
function flexshop_product_buttons(){
	global $product;
	?>
	<?php if(class_exists('YITH_Woocompare') || class_exists('YITH_WCWL'))  : ?>
	<div class="actions">
		<div class="action-buttons">
			<div class="add-to-links">
				<?php if(class_exists('YITH_Woocompare'))  : ?>
				<?php echo do_shortcode('[yith_compare_button]') ?>
				<?php endif; ?>
				<?php if(class_exists('YITH_WCWL')) : ?>
					<?php echo preg_replace("/<img[^>]+\>/i", " ", do_shortcode('[yith_wcwl_add_to_wishlist]')); ?>
				<?php endif; ?>
			</div>
		</div>
	</div>
	<?php endif; ?>
	<?php
}
add_action( 'woocommerce_single_product_summary', 'flexshop_product_buttons', 30 );

 
//Change search form
function flexshop_search_form( $form ) {
	if(get_search_query()!=''){
		$search_str = get_search_query();
	} else {
		$search_str = esc_html__( 'Search...', 'vg-flexshop' );
	}
	
	$form = '<form role="search" method="get" id="blogsearchform" class="searchform" action="' . esc_url(home_url( '/' ) ). '" >
	<div class="form-input">
		<input class="input_text" type="text" value="'.esc_attr($search_str).'" name="s" id="search_input" />
		<button class="button" type="submit" id="blogsearchsubmit"><i class="fa fa-search"></i></button>
		<input type="hidden" name="post_type" value="post" />
		</div>
	</form>';
	
	$inlineJS = '
		jQuery(document).ready(function(){
			jQuery("#search_input").focus(function(){
				if(jQuery(this).val()=="'. esc_html__( 'Search...', 'vg-flexshop' ).'"){
					jQuery(this).val("");
				}
			});
			jQuery("#search_input").focusout(function(){
				if(jQuery(this).val()==""){
					jQuery(this).val("'. esc_html__( 'Search...', 'vg-flexshop' ).'");
				}
			});
			jQuery("#blogsearchsubmit").click(function(){
				if(jQuery("#search_input").val()=="'. esc_html__( 'Search...', 'vg-flexshop' ).'" || jQuery("#search_input").val()==""){
					jQuery("#search_input").focus();
					return false;
				}
			});
		});
	';
	wp_add_inline_script('flexshop-theme-js', $inlineJS);
	return $form;
} 
//add_action('wp_enqueue_scripts', 'flexshop_search_form');
add_filter( 'get_search_form', 'flexshop_search_form' );

add_filter( 'woocommerce_breadcrumb_defaults', 'flexshop_woocommerce_breadcrumbs', 20, 0  );
function flexshop_woocommerce_breadcrumbs() {
    return array(
		'delimiter'   => '<li class="separator"> &gt; </li>',
		'wrap_before' => '<ul id="breadcrumbs" class="breadcrumbs">',
		'wrap_after'  => '</ul>',
		'before'      => '<li class="item">',
		'after'       => '</li>',
		'home'        => _x( 'Home', 'breadcrumb', 'vg-flexshop' ),
	);
}


function flexshop_limitStringByWord ($string, $maxlength, $suffix = '') {

	if(function_exists( 'mb_strlen' )) {
		// use multibyte functions by Iysov
		if(mb_strlen( $string )<=$maxlength) return $string;
		$string = mb_substr( $string, 0, $maxlength );
		$index = mb_strrpos( $string, ' ' );
		if($index === FALSE) {
			return $string;
		} else {
			return mb_substr( $string, 0, $index ).$suffix;
		}
	} else { // original code here
		if(strlen( $string )<=$maxlength) return $string;
		$string = substr( $string, 0, $maxlength );
		$index = strrpos( $string, ' ' );
		if($index === FALSE) {
			return $string;
		} else {
			return substr( $string, 0, $index ).$suffix;
		}
	}
} 
// Set up the content width value based on the theme's design and stylesheet.
if ( ! isset( $content_width ) )
	$content_width = 625; 


function flexshop_setup() {
	/*
	 * Makes flexshop Themes available for translation.
	 *
	 * Translations can be added to the /languages/ directory.
	 * If you're building a theme based on VinaGecko, use a find and replace
	 * to change 'vg-flexshop' to the name of your theme in all the template files.
	 */
	load_theme_textdomain('vg-flexshop', get_template_directory() . '/languages');

	// This theme styles the visual editor with editor-style.css to match the theme style.
	add_editor_style();

	// Adds RSS feed links to <head> for posts and comments.
	add_theme_support('automatic-feed-links');

	// This theme supports a variety of post formats.
	add_theme_support('post-formats', array('image', 'gallery', 'video', 'audio'));

	// Register menus
	register_nav_menu('primary', esc_html__('Primary Menu', 'vg-flexshop'));
	register_nav_menu('top-menu', esc_html__('Top Menu', 'vg-flexshop'));
	register_nav_menu('mobilemenu', esc_html__('Mobile Primary Menu', 'vg-flexshop'));
	
	/*swallow code register Category Product Technology*/
	register_nav_menu('mobilemenucategory', esc_html__('Mobile Category Product', 'vg-flexshop'));
	register_nav_menu('category-product', esc_html__('Category Product', 'vg-flexshop'));
	
	/*swallow code register Category Product Toys*/
	register_nav_menu('mobilemenucategorytoys', esc_html__('Mobile Category Product Toys', 'vg-flexshop'));
	register_nav_menu('category-producttoys', esc_html__('Category Product Toys', 'vg-flexshop'));

	/*
	 * This theme supports custom background color and image,
	 * and here we also set up the default background color.
	 */
	function flexshop_custom_header_custom_bg() {
		add_theme_support('custom-background', array(
			'default-color' => 'e6e6e6',
		));
		add_theme_support( "custom-header", array(
			'default-color' => '',
		));   
	}
	
	/*
	 * Let WordPress manage the document title.
	 * By adding theme support, we declare that this theme does not use a
	 * hard-coded <title> tag in the document head, and expect WordPress to
	 * provide it for us.
	 */
	add_theme_support('title-tag');
	
	// This theme uses a custom image size for featured images, displayed on "standard" posts.
	add_theme_support('post-thumbnails');

	set_post_thumbnail_size(1170, 9999); // Unlimited height, soft crop
	add_image_size('flexshop-category-thumb', 870, 580, true); // (cropped)
	add_image_size('flexshop-post-thumb', 300, 200, true); // (cropped)
	add_image_size('flexshop-post-thumbwide', 570, 352, true); // (cropped)
}
add_action('after_setup_theme', 'flexshop_setup'); 
 
function flexshop_get_font_url() {
	$font_url = '';

	/* translators: If there are characters in your language that are not supported
	 * by Open Sans, translate this to 'off'. Do not translate into your own language.
	 */
	if ( 'off' !== _x( 'on', 'Open Sans font: on or off', 'vg-flexshop' ) ) {
		$subsets = 'latin,latin-ext';

		/* translators: To add an additional Open Sans character subset specific to your language,
		 * translate this to 'vg-flexshop', 'cyrillic' or 'vietnamese'. Do not translate into your own language.
		 */
		$subset = _x( 'no-subset', 'Open Sans font: add new subset (flexshop, cyrillic, vietnamese)', 'vg-flexshop' );

		if ( 'cyrillic' == $subset )
			$subsets .= ',cyrillic,cyrillic-ext';
		elseif ( 'vg-flexshop' == $subset )
			$subsets .= ',flexshop,flexshop-ext';
		elseif ( 'vietnamese' == $subset )
			$subsets .= ',vietnamese';

		$protocol = is_ssl() ? 'https' : 'http';
		$query_args = array(
			'family' => 'Open+Sans:400italic,700italic,400,700',
			'subset' => $subsets,
		);
		$font_url = add_query_arg( $query_args, "$protocol://fonts.googleapis.com/css" );
	}

	return $font_url;
}
 
function flexshop_scripts_styles() {
	global $wp_styles, $wp_scripts, $flexshop_options;
	
	/*
	 * Adds JavaScript to pages with the comment form to support
	 * sites with threaded comments (when in use).
	*/
	
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) )
		wp_enqueue_script( 'comment-reply' );
	
	if ( !is_admin()) {
		// Add Bootstrap JavaScript
		wp_enqueue_script( 'bootstrap', get_template_directory_uri() . '/js/bootstrap.min.js', array('jquery'), '3.2.0', true );
		
		// Add jQuery Cookie
		wp_enqueue_script('jquery-cookie', get_template_directory_uri() . '/js/jquery.cookie.js', array('jquery'), '1.4.1', true);	
	
		// Add Fancybox
		wp_enqueue_script( 'jquery-fancybox', get_template_directory_uri() . '/js/fancybox/jquery.fancybox.pack.js', array('jquery'), '2.1.5', true );
		wp_enqueue_style( 'jquery-fancybox', get_template_directory_uri() . '/js/fancybox/jquery.fancybox.css', array(), '2.1.5' );
		wp_enqueue_script('jquery-fancybox-buttons', get_template_directory_uri() . '/js/fancybox/helpers/jquery.fancybox-buttons.js', array('jquery'), '1.0.5', true);
		wp_enqueue_style('jquery-fancybox-buttons', get_template_directory_uri() . '/js/fancybox/helpers/jquery.fancybox-buttons.css', array(), '1.0.5');
	
		//Superfish
		wp_enqueue_script( 'jquery-superfish', get_template_directory_uri() . '/js/superfish/superfish.min.js', array('jquery'), '1.3.15', true );
	
		//Add Shuffle js
		wp_enqueue_script( 'modernizr-custom', get_template_directory_uri() . '/js/modernizr.custom.min.js', array('jquery'), '2.6.2', true );
		wp_enqueue_script( 'jquery-shuffle', get_template_directory_uri() . '/js/jquery.shuffle.min.js', array('jquery'), '3.0.0', true );
	
		// Add owl.carousel files
		wp_enqueue_script('owl.carousel', 	get_template_directory_uri() . '/js/owl.carousel.js', array('jquery'));
		wp_enqueue_style('owl.carousel', 	get_template_directory_uri() . '/css/owl.carousel.css');
		wp_enqueue_style('owl.theme', 		get_template_directory_uri() . '/css/owl.theme.css');
	
		// Add jQuery countdown file
		wp_enqueue_script( 'countdown', get_template_directory_uri() . '/js/jquery.countdown.min.js', array('jquery'), '2.0.4', true );
	
		// Add Plugin JS
		wp_enqueue_script( 'plugins', get_template_directory_uri() . '/js/plugins.js', array('jquery'), '20160115', true );
		
		// Add Lazy Load
		wp_enqueue_script('jquery-lazy', get_template_directory_uri() . '/js/jquery.lazy.min.js', array(), '1.7.4', TRUE);
		wp_enqueue_script('jquery-lazy-plugin', get_template_directory_uri() . '/js/jquery.lazy.plugins.min.js', array(), '1.7.4', TRUE);
	
		// Add theme.js file
		wp_enqueue_script( 'flexshop-theme-js', get_template_directory_uri() . '/js/theme.js', array('jquery'), '20140826', true );
	}
	
	$font_url = flexshop_get_font_url();
	if ( ! empty( $font_url ) )
		wp_enqueue_style( 'flexshop-fonts', esc_url_raw( $font_url ), array(), null );
	
	if ( !is_admin()) {
	
		//Swallow Code Custom elements Visual Composer
		// Load Icon picker fonts:
		wp_enqueue_style( 'typicons', get_template_directory_uri() . '/css/typicons.min.css', array(), '4.9.2' );
		wp_enqueue_style( 'openiconic', get_template_directory_uri() . '/css/vc_openiconic.min.css' , array(), '4.9.2' );
		wp_enqueue_style( 'linecons', get_template_directory_uri() . '/css/vc_linecons_icons.min.css' , array(), '4.9.2' );
		wp_enqueue_style( 'entypo', get_template_directory_uri() . '/css/vc_entypo.min.css' , array(), '4.9.2' );

		//End Swallow Code Custom elements Visual Composer
	
		// Loads our main stylesheet.
		wp_enqueue_style( 'flexshop-style', get_stylesheet_uri() );
		
		// Load bootstrap css
		if ( !is_rtl() ) {
			wp_enqueue_style( 'bootstrap', get_template_directory_uri() . '/css/bootstrap.min.css', array(), '3.3.5' );
		}
		
		// Load elegant css
		wp_enqueue_style( 'elegant-style', get_template_directory_uri() . '/css/elegant-style.css', array(), '1.0');
		
		// Load elegant css
		wp_enqueue_style( 'themify-icons', get_template_directory_uri() . '/css/themify-icons.css', array(), '1.0');
		
		// Load fontawesome css
		wp_enqueue_style( 'font-awesome', get_template_directory_uri() . '/css/font-awesome.min.css', array(), '4.2.0' );
		
		if ( is_rtl() ) {
			wp_enqueue_style( 'bootstrap-rtl', get_template_directory_uri() . '/css/bootstrap-rtl.min.css', array(), '3.3.2-rc1' );
		}
		
	}
	// Compile Less to CSS
	
	// HieuJa get Preset Color Option
	$presetopt = flexshop_get_preset();	
	// HieuJa end block
	
	if (isset($flexshop_options['bodyfont']) && !empty($flexshop_options['bodyfont']['font-family'])) {
		$bodyfont = $flexshop_options['bodyfont']['font-family'];
	} else {
		$bodyfont = '"Helvetica Neue",Helvetica,Arial,sans-serif';
	}
	
	
	
	if(isset($flexshop_options['enable_less']) && $flexshop_options['enable_less']){
		$themevariables = array(
			'body_font'					=> $bodyfont,
			'primary_color' 			=> $flexshop_options['primary_color'],
			'text_color'				=> $flexshop_options['text_color'],
			'pagination_color' 			=> $flexshop_options['pagination_color'],
			'sale_color'				=> $flexshop_options['sale_color'],
			'featured_color'			=> $flexshop_options['featured_color'],
			'rate_color' 				=> $flexshop_options['rate_color'],
			'presetopt' 				=> $presetopt,
		);
		switch ($presetopt) {
			case 2:
				$themevariables['primary_color'] 		= $flexshop_options['primary2_color'];
				$themevariables['text_color']			= $flexshop_options['text2_color'];
				$themevariables['pagination_color']		= $flexshop_options['pagination2_color'];
				$themevariables['sale_color']			= $flexshop_options['sale2_color'];
				$themevariables['featured_color']		= $flexshop_options['featured2_color'];
				$themevariables['rate_color']	 		= $flexshop_options['rate2_color'];
			break;
			case 3:
				$themevariables['primary_color'] 		= $flexshop_options['primary3_color'];
				$themevariables['text_color']			= $flexshop_options['text3_color'];
				$themevariables['pagination_color']		= $flexshop_options['pagination3_color'];
				$themevariables['sale_color']			= $flexshop_options['sale3_color'];
				$themevariables['featured_color']		= $flexshop_options['featured3_color'];
				$themevariables['rate_color']	 		= $flexshop_options['rate3_color'];
			break;
			case 4:
				$themevariables['primary_color'] 		= $flexshop_options['primary4_color'];
				$themevariables['text_color']			= $flexshop_options['text4_color'];
				$themevariables['pagination_color']		= $flexshop_options['pagination4_color'];
				$themevariables['sale_color']			= $flexshop_options['sale4_color'];
				$themevariables['featured_color']		= $flexshop_options['featured4_color'];
				$themevariables['rate_color']	 		= $flexshop_options['rate4_color'];
			break;				
		}
		if( function_exists('compileLessFile') ){
			compileLessFile('theme.less', 'theme'.$presetopt.'.css', $themevariables);
			compileLessFile('compare.less', 'compare'.$presetopt.'.css', $themevariables);
			compileLessFile('ie.less', 'ie'.$presetopt.'.css', $themevariables);
		}
	}
	
	if ( !is_admin()) {
		if(isset($presetopt)){
			// Load main theme css style
			wp_enqueue_style( 'flexshop-css', get_template_directory_uri() . '/css/theme'.$presetopt.'.css', array(), '1.0.0' );
			//Compare CSS
			wp_enqueue_style( 'flexshop-css', get_template_directory_uri() . '/css/compare'.$presetopt.'.css', array(), '1.0.0' );
			// Loads the Internet Explorer specific stylesheet.
			wp_enqueue_style( 'flexshop-ie', get_template_directory_uri() . '/css/ie'.$presetopt.'.css', array( 'flexshop-style' ), '20152907' );
		} else {
			// Load main theme css style
			wp_enqueue_style( 'flexshop-css', get_template_directory_uri() . '/css/theme1.css', array(), '1.0.0' );
			//Compare CSS
			wp_enqueue_style( 'flexshop-css', get_template_directory_uri() . '/css/compare1.css', array(), '1.0.0' );
			// Loads the Internet Explorer specific stylesheet.
			wp_enqueue_style( 'flexshop-ie', get_template_directory_uri() . '/css/ie1.css', array( 'flexshop-style' ), '20152907' );
		}
		$wp_styles->add_data( 'flexshop-ie', 'conditional', 'lte IE 9' );
	}
	
	// Load styleswitcher css style
	
	if(isset($flexshop_options['enable_sswitcher']) && $flexshop_options['enable_sswitcher']){
		// Add styleswitcher.js file
		wp_enqueue_style( 'flexshop-styleswitcher', get_template_directory_uri() . '/css/styleswitcher.css', array(), '1.0.0' );
		wp_enqueue_script( 'flexshop-styleswitcher', get_template_directory_uri() . '/js/styleswitcher.js', array(), '20140826', true );
	}
	if ( is_rtl() ) {
		wp_enqueue_style( 'flexshop-rtl', get_template_directory_uri() . '/rtl.css', array(), '1.0.0' );
	}
}
add_action( 'wp_enqueue_scripts', 'flexshop_scripts_styles' );

//Swallow Code Custom elements Visual Composer        
function flexshop_load_custom_wp_admin_style() {
	wp_enqueue_style( 'vg_js_composer_icon', get_template_directory_uri() . '/css/vg_js_composer_icon.css', array(), '1.0.0' );
}
add_action( 'admin_enqueue_scripts', 'flexshop_load_custom_wp_admin_style' );
//End Swallow Code Custom elements Visual Composer

//Include
if (!class_exists('flexshop_widgets') && file_exists(get_template_directory().'/include/vinawidgets.php')) {
    require_once(get_template_directory().'/include/vinawidgets.php');
}

/* Widgets list */
 $vg_widgets = array(
	'vg_contact.php',
	'vg_megamenu.php',
	'vg_woocarousel.php',
);

foreach ( $vg_widgets as $widget ) {
	require get_template_directory().'/include/widgets/'. $widget;
}

if (file_exists(get_template_directory().'/include/styleswitcher.php')) {
    require_once(get_template_directory().'/include/styleswitcher.php');
}
if (file_exists(get_template_directory().'/include/breadcrumbs.php')) {
    require_once(get_template_directory().'/include/breadcrumbs.php');
}
if (file_exists(get_template_directory().'/include/wooajax.php')) {
    require_once(get_template_directory().'/include/wooajax.php');
}
if (file_exists(get_template_directory().'/include/shortcodes.php')) {
    require_once(get_template_directory().'/include/shortcodes.php');
}
 
function flexshop_mce_css( $mce_css ) {
	$font_url = flexshop_get_font_url();

	if ( empty( $font_url ) )
		return $mce_css;

	if ( ! empty( $mce_css ) )
		$mce_css .= ',';

	$mce_css .= esc_url_raw( str_replace( ',', '%2C', $font_url ) );

	return $mce_css;
}
add_filter( 'mce_css', 'flexshop_mce_css' ); 

/**
 * Filter the page menu arguments.
 *
 * Makes our wp_nav_menu() fallback -- wp_page_menu() -- show a home link.
 *
 * @since VinaGecko 1.0
 */
function flexshop_page_menu_args( $args ) {
	if ( ! isset( $args['show_home'] ) )
		$args['show_home'] = true;
	return $args;
}
add_filter( 'wp_page_menu_args', 'flexshop_page_menu_args' );

/**
 * Register sidebars.
 *
 * Registers our main widget area and the front page widget areas.
 *
 * @since VinaGecko 1.0
 */
 
function flexshop_widgets_init() {
	register_sidebar(array(
		'name' => esc_html__('VG Blog Sidebar', 'vg-flexshop'),
		'id' => 'sidebar-1',
		'description' => esc_html__('Sidebar on blog page', 'vg-flexshop'),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<div class="vg-title widget-title"><h3>',
		'after_title' => '</h3></div>',
	));	
	register_sidebar(array(
		'name' => esc_html__('VG Top Header 1', 'vg-flexshop'),
		'id' => 'sidebar-vg-top-header1',
		'description' => esc_html__('Sidebar on Top Header 1', 'vg-flexshop'),
		'before_widget' => '<div id="%1$s" class="widget vg-widget %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<div class="vg-title widget-title"><h3>',
		'after_title' => '</h3></div>',
	));	
	register_sidebar(array(
		'name' => esc_html__('VG Top Header 2', 'vg-flexshop'),
		'id' => 'sidebar-vg-top-header2',
		'description' => esc_html__('Sidebar on Top Header 2', 'vg-flexshop'),
		'before_widget' => '<div id="%1$s" class="widget vg-widget %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<div class="vg-title widget-title"><h3>',
		'after_title' => '</h3></div>',
	));
	register_sidebar(array(
		'name' => esc_html__('VG Top Header 3', 'vg-flexshop'),
		'id' => 'sidebar-vg-top-header3',
		'description' => esc_html__('Sidebar on Top Header 3', 'vg-flexshop'),
		'before_widget' => '<div id="%1$s" class="widget vg-widget %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<div class="vg-title widget-title"><h3>',
		'after_title' => '</h3></div>',
	));	
	register_sidebar(array(
		'name' => esc_html__('VG Top Header 4', 'vg-flexshop'),
		'id' => 'sidebar-vg-top-header4',
		'description' => esc_html__('Sidebar on Top Header 4(Layout 4)', 'vg-flexshop'),
		'before_widget' => '<div id="%1$s" class="widget vg-widget %2$s">',
		'after_widget' => '</div>',
		'before_title' => '<div class="vg-title widget-title"><h3>',
		'after_title' => '</h3></div>',
	));	
	
	register_sidebar(array(
		'name' => esc_html__('VG Content Header', 'vg-flexshop'),
		'id' => 'sidebar-content-header',
		'description' => esc_html__('VG Content Header Sidebar on Home Pages', 'vg-flexshop'),
		'before_widget' => '<aside id="%1$s" class="widget vg-widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<div class="vg-title widget-title"><h3>',
		'after_title' => '</h3></div>',
	));
	register_sidebar(array(
		'name' => esc_html__('VG Phone Header', 'vg-flexshop'),
		'id' => 'sidebar-phone-header',
		'description' => esc_html__('VG Phone Header Sidebar on Home Pages', 'vg-flexshop'),
		'before_widget' => '<aside id="%1$s" class="widget vg-widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<div class="vg-title widget-title"><h3>',
		'after_title' => '</h3></div>',
	));
	register_sidebar(array(
		'name' => esc_html__('VG Content Bottom Header', 'vg-flexshop'),
		'id' => 'sidebar-content-bottom-header',
		'description' => esc_html__('VG Content Bottom Header (Layout 4)', 'vg-flexshop'),
		'before_widget' => '<aside id="%1$s" class="widget vg-widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<div class="vg-title widget-title"><h3>',
		'after_title' => '</h3></div>',
	));
	register_sidebar(array(
		'name' => esc_html__('VG Left Bottom Header ', 'vg-flexshop'),
		'id' => 'sidebar-left-bottom-header',
		'description' => esc_html__('VG Left Bottom Header Sidebar on Home Pages', 'vg-flexshop'),
		'before_widget' => '<aside id="%1$s" class="widget vg-widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<div class="vg-title widget-title"><h3>',
		'after_title' => '</h3></div>',
	));
	register_sidebar(array(
		'name' => esc_html__('VG Left Bottom Header 2', 'vg-flexshop'),
		'id' => 'sidebar-left-bottom-header2',
		'description' => esc_html__('VG Left Bottom Header 2 Sidebar on Home Pages', 'vg-flexshop'),
		'before_widget' => '<aside id="%1$s" class="widget vg-widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<div class="vg-title widget-title"><h3>',
		'after_title' => '</h3></div>',
	));	
	register_sidebar(array(
		'name' => esc_html__('VG Cart Header ', 'vg-flexshop'),
		'id' => 'sidebar-cart-header',
		'description' => esc_html__('VG Cart Header Sidebar on Home Pages', 'vg-flexshop'),
		'before_widget' => '<aside id="%1$s" class="widget vg-widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<div class="vg-title widget-title"><h3>',
		'after_title' => '</h3></div>',
	));
	register_sidebar(array(
		'name' => esc_html__('VG Category Sidebar', 'vg-flexshop'),
		'id' => 'sidebar-category',
		'description' => esc_html__('Sidebar on product category page', 'vg-flexshop'),
		'before_widget' => '<aside id="%1$s" class="widget vg-widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<div class="vg-title widget-title"><h3>',
		'after_title' => '</h3></div>',
	));
	register_sidebar(array(
		'name' => esc_html__('VG Product Sidebar', 'vg-flexshop'),
		'id' => 'sidebar-product',
		'description' => esc_html__('VG Sidebar on product page', 'vg-flexshop'),
		'before_widget' => '<aside id="%1$s" class="widget vg-widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<div class="vg-title widget-title"><h3>',
		'after_title' => '</h3></div>',
	));
	
	register_sidebar(array(
		'name' => esc_html__('VG Pages Sidebar', 'vg-flexshop'),
		'id' => 'sidebar-page',
		'description' => esc_html__('Sidebar on content pages', 'vg-flexshop'),
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => '</aside>',
		'before_title' => '<div class="vg-title widget-title"><h3>',
		'after_title' => '</h3></div>',
	));	
	register_sidebar(array(
		'name' => esc_html__('VG Widget Bottom 1', 'vg-flexshop'),
		'id' => 'bottom1',
		'class' => 'bottom',
		'description' => esc_html__('Widget on bottom 1', 'vg-flexshop'),
		'before_widget' => '<div class="widget vg-bottom-menu text-left">',
		'after_widget' => '</div>',
		'before_title' => '<div class="vg-title bottom-static-title"><h3>',
		'after_title' => '</h3></div>',
	));
	register_sidebar(array(
		'name' => esc_html__('VG Widget Bottom 2', 'vg-flexshop'),
		'id' => 'bottom2',
		'class' => 'bottom',
		'description' => esc_html__('Widget on bottom 2', 'vg-flexshop'),
		'before_widget' => '<div class="widget vg-bottom-menu text-left">',
		'after_widget' => '</div>',
		'before_title' => '<div class="vg-title bottom-static-title"><h3>',
		'after_title' => '</h3></div>',
	));
	register_sidebar(array(
		'name' => esc_html__('VG Widget Bottom 3', 'vg-flexshop'),
		'id' => 'bottom3',
		'class' => 'bottom',
		'description' => esc_html__('Widget on bottom 3', 'vg-flexshop'),
		'before_widget' => '<div class="widget vg-bottom-menu text-left">',
		'after_widget' => '</div>',
		'before_title' => '<div class="vg-title bottom-static-title"><h3>',
		'after_title' => '</h3></div>',
	));
	register_sidebar(array(
		'name' => esc_html__('VG Widget Bottom 4', 'vg-flexshop'),
		'id' => 'bottom4',
		'class' => 'bottom',
		'description' => esc_html__('Widget on bottom 4', 'vg-flexshop'),
		'before_widget' => '<div class="widget vg-bottom-menu text-left">',
		'after_widget' => '</div>',
		'before_title' => '<div class="vg-title bottom-static-title"><h3>',
		'after_title' => '</h3></div>',
	));
	register_sidebar(array(
		'name' => esc_html__('VG Widget Bottom 5 Col Full', 'vg-flexshop'),
		'id' => 'bottom5',
		'class' => 'bottom',
		'description' => esc_html__('Widget on bottom 5 col full', 'vg-flexshop'),
		'before_widget' => '<div class="widget vg-bottom-menu">',
		'after_widget' => '</div>',
		'before_title' => '<div class="vg-title bottom-static-title"><h3>',
		'after_title' => '</h3></div>',
	));
	register_sidebar(array(
		'name' => esc_html__('Widget on Bottom 6', 'vg-flexshop'),
		'id' => 'bottom6',
		'class' => 'bottom',
		'description' => esc_html__('Widget on bottom 6', 'vg-flexshop'),
		'before_widget' => '<div class="widget vg-bottom-logo">',
		'after_widget' => '</div>',
		'before_title' => '<div class="vg-title bottom-static-title"><h3>',
		'after_title' => '</h3></div>',
	));	
	register_sidebar(array(
		'name' => esc_html__('VG Widget Top Left Footer', 'vg-flexshop'),
		'id' => 'footer-top-left',
		'class' => 'bottom',
		'description' => esc_html__('Widget on top left footer', 'vg-flexshop'),
		'before_widget' => '<div class="widget vg-footer-top-left">',
		'after_widget' => '</div>',
		'before_title' => '<div class="vg-title bottom-static-title"><h3>',
		'after_title' => '</h3></div>',
	))
	;register_sidebar(array(
		'name' => esc_html__('VG Widget Top Right Footer', 'vg-flexshop'),
		'id' => 'footer-top-right',
		'class' => 'bottom',
		'description' => esc_html__('Widget on top right footer', 'vg-flexshop'),
		'before_widget' => '<div class="widget vg-footer-top-right">',
		'after_widget' => '</div>',
		'before_title' => '<div class="vg-title bottom-static-title"><h3>',
		'after_title' => '</h3></div>',
	));
	register_sidebar(array(
		'name' => esc_html__('VG Widget Left Footer', 'vg-flexshop'),
		'id' => 'footer-left',
		'class' => 'bottom',
		'description' => esc_html__('VG Widget Left Footer', 'vg-flexshop'),
		'before_widget' => '<div class="widget vg-left-footer ">',
		'after_widget' => '</div>',
		'before_title' => '<div class="vg-title bottom-static-title"><h3>',
		'after_title' => '</h3></div>',
	));	
	register_sidebar(array(
		'name' => esc_html__('VG Widget Right Footer', 'vg-flexshop'),
		'id' => 'footer-right',
		'class' => 'bottom',
		'description' => esc_html__('VG Widget Right Footer', 'vg-flexshop'),
		'before_widget' => '<div class="widget vg-right-footer ">',
		'after_widget' => '</div>',
		'before_title' => '<div class="vg-title bottom-static-title"><h3>',
		'after_title' => '</h3></div>',
	));
}
add_action('widgets_init', 'flexshop_widgets_init');


if (! function_exists('flexshop_content_nav')) :
/**
 * Displays navigation to next/previous pages when applicable.
 *
 * @since VinaGecko 1.0
 */
function flexshop_content_nav( $html_id ) {
	global $wp_query;

	$html_id = esc_attr( $html_id );

	if ( $wp_query->max_num_pages > 1 ) : ?>
		<nav id="<?php echo esc_attr($html_id); ?>" class="navigation" role="navigation">
			<h3 class="assistive-text"><?php esc_html_e( 'Post navigation', 'vg-flexshop' ); ?></h3>
			<div class="nav-previous"><?php next_posts_link(wp_kses(__('<span class="meta-nav">&larr;</span> Older posts', 'vg-flexshop'), array('span' => array('class' => array())))); ?></div>
			<div class="nav-next"><?php previous_posts_link(wp_kses(__('Newer posts <span class="meta-nav">&rarr;</span>', 'vg-flexshop'), array('span' => array('class' => array())))); ?></div>
		</nav><!-- #<?php echo esc_attr($html_id); ?> .navigation -->
	<?php endif;
}
endif;

if ( ! function_exists( 'flexshop_pagination' ) ) :
/* Pagination */
function flexshop_pagination() {
	global $wp_query;

	$big = 999999999; // need an unlikely integer
	
	echo paginate_links( array(
		'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
		'format' => '?paged=%#%',
		'current' => max( 1, get_query_var('paged') ),
		'total' => $wp_query->max_num_pages,
		'prev_text'    => wp_kses(__('<i class="fa fa-chevron-left"></i>', 'vg-flexshop'), array('i' => array('class' => array()))),
		'next_text'    => wp_kses(__('<i class="fa fa-chevron-right"></i>', 'vg-flexshop'), array('i' => array('class' => array()))),
	) );
}
endif;

if ( ! function_exists( 'flexshop_entry_meta' ) ) :
	function flexshop_entry_meta() {
		// Translators: used between list items, there is a space after the comma.
		$categories_list = '<span class="categories-list"><i class="fa fa-folder-o"></i>'. get_the_category_list(esc_html__( ', ', 'vg-flexshop' ) ) .'</span>';
		
		$date = sprintf( '<span class="posted-on"><i class="fa fa-calendar"></i><a href="'. get_permalink() .'" rel="bookmark"><time class="entry-date" datetime="%3$s">%4$s</time></a></span>',
			esc_url( get_permalink() ),
			esc_attr( get_the_time() ),
			esc_attr( get_the_date( 'c' ) ),
			esc_html( get_the_date() )
		);

		$author = sprintf( '<span class="author vcard"><i class="fa fa-user"></i><a class="url fn n" href="%1$s" title="%2$s" rel="author">%3$s</a></span>',
			esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
			esc_attr( sprintf( esc_html__( 'View all posts by %s', 'vg-flexshop' ), get_the_author() ) ),
			get_the_author()
		);
		
		$num_comments = (int)get_comments_number();
		$write_comments = '';
		if ( comments_open() ) {
			if ( $num_comments == 0 ) {
				$comments = esc_html__('0 comments', 'vg-flexshop');
			} elseif ( $num_comments > 1 ) {
				$comments = $num_comments . esc_html__(' comments', 'vg-flexshop');
			} else {
				$comments = esc_html__('1 comment', 'vg-flexshop');
			}
			$write_comments = '<span class="comments-link"><i class="fa fa-comments-o"></i><a href="' . get_comments_link() .'" class="link-comment">'. $comments.'</a></span>';
		}

		// Translators: 1 is author's name, 2 is date, 3 is the tags and 4 is comments.
		
		$utility_text = wp_kses(__( '%1$s%2$s%3$s%4$s', 'vg-flexshop' ), array());
		printf( $utility_text, $author, $date, $categories_list, $write_comments );
	}
	
endif;

if ( ! function_exists( 'flexshop_entry_meta_tags' ) ) :
	function flexshop_entry_meta_tags() {
		$tags_list = get_the_tag_list('', _x(', ', 'Used between list items, there is a space after the comma.', 'vg-flexshop'));
		if($tags_list) {
			printf('<div class="entry-tags"><span> '. esc_html__( 'Tags: ', 'vg-flexshop' ) .' </span>%2$s</div>',
				_x('Tags', 'Used before tag names.', 'vg-flexshop'),
				$tags_list
			);
		}
	}
endif;

function flexshop_entry_meta_small() {
	
	$date = sprintf( '<span class="posted-on"><i class="fa fa-calendar"></i><a href="'. get_permalink() .'" rel="bookmark"><time class="entry-date" datetime="%3$s">%4$s</time></a></span>',
		esc_url( get_permalink() ),
		esc_attr( get_the_time() ),
		esc_attr( get_the_date( 'c' ) ),
		esc_html( get_the_date() )
	);

	$author = sprintf( '<span class="author vcard"><i class="fa fa-user"></i><a class="url fn n" href="%1$s" title="%2$s" rel="author">%3$s</a></span>',
		esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
		esc_attr( sprintf( esc_html__( 'View all posts by %s', 'vg-flexshop' ), get_the_author() ) ),
		get_the_author()
	);
	
	$num_comments = (int)get_comments_number();
	$write_comments = '';
	if ( comments_open() ) {
		if ( $num_comments == 0 ) {
			$comments = esc_html__('0 comments', 'vg-flexshop');
		} elseif ( $num_comments > 1 ) {
			$comments = $num_comments . esc_html__(' comments', 'vg-flexshop');
		} else {
			$comments = esc_html__('1 comment', 'vg-flexshop');
		}
		$write_comments = '<span class="comments-link"><i class="fa fa-comments-o"></i><a href="' . get_comments_link() .'" class="link-comment">'. $comments.'</a></span>';
	}
	
	$utility_text = wp_kses(__( '<div class="entry-meta">%1$s%2$s%3$s</div>', 'vg-flexshop' ), array('div' => array('class' => array())));
	
	printf( $utility_text, $author, $date, $write_comments );
}

function flexshop_add_meta_box() {

	$screens = array( 'post' );

	foreach ( $screens as $screen ) {

		add_meta_box(
			'flexshop_post_intro_section',
			esc_html__( 'Post featured content', 'vg-flexshop' ),
			'flexshop_meta_box_callback',
			$screen
		);
	}
}
add_action( 'add_meta_boxes', 'flexshop_add_meta_box' );

function flexshop_meta_box_callback( $post ) {

	// Add an nonce field so we can check for it later.
	wp_nonce_field( 'flexshop_meta_box', 'flexshop_meta_box_nonce' );

	/*
	 * Use get_post_meta() to retrieve an existing value
	 * from the database and use the value for the form.
	 */
	$value = get_post_meta( $post->ID, '_flexshop_meta_value_key', true );

	echo '<label for="flexshop_post_intro">';
	esc_html_e( 'This content will be used to replace the featured image, use shortcode here', 'vg-flexshop' );
	echo '</label><br />';
	//echo '<textarea id="flexshop_post_intro" name="flexshop_post_intro" rows="5" cols="50" />' . esc_attr( $value ) . '</textarea>';
	wp_editor( $value, 'flexshop_post_intro', $settings = array() );
	
	
}

function flexshop_save_meta_box_data( $post_id ) {

	/*
	 * We need to verify this came from our screen and with proper authorization,
	 * because the save_post action can be triggered at other times.
	 */

	// Check if our nonce is set.
	if ( ! isset( $_POST['flexshop_meta_box_nonce'] ) ) {
		return;
	}

	// Verify that the nonce is valid.
	if ( ! wp_verify_nonce( $_POST['flexshop_meta_box_nonce'], 'flexshop_meta_box' ) ) {
		return;
	}

	// If this is an autosave, our form has not been submitted, so we don't want to do anything.
	if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
		return;
	}

	// Check the user's permissions.
	if ( isset( $_POST['post_type'] ) && 'page' == $_POST['post_type'] ) {

		if ( ! current_user_can( 'edit_page', $post_id ) ) {
			return;
		}

	} else {

		if ( ! current_user_can( 'edit_post', $post_id ) ) {
			return;
		}
	}

	/* OK, it's safe for us to save the data now. */
	
	// Make sure that it is set.
	if ( ! isset( $_POST['flexshop_post_intro'] ) ) {
		return;
	}

	// Sanitize user input.
	$my_data = sanitize_text_field( $_POST['flexshop_post_intro'] );

	// Update the meta field in the database.
	update_post_meta( $post_id, '_flexshop_meta_value_key', $my_data );
}
add_action( 'save_post', 'flexshop_save_meta_box_data' );

if ( ! function_exists( 'flexshop_comment' ) ) :
/**
 * Template for comments and pingbacks.
 *
 * To override this walker in a child theme without modifying the comments template
 * simply create your own flexshop_comment(), and that function will be used instead.
 *
 * Used as a callback by wp_list_comments() for displaying the comments.
 *
 * @since VinaGecko 1.0
 */
function flexshop_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case 'pingback' :
		case 'trackback' :
		// Display trackbacks differently than normal comments.
	?>
	<li <?php comment_class(); ?> id="comment-<?php comment_ID(); ?>">
		<p><?php esc_html_e( 'Pingback:', 'vg-flexshop' ); ?> <?php comment_author_link(); ?> <?php edit_comment_link(esc_html__( '(Edit)', 'vg-flexshop' ), '<span class="edit-link">', '</span>' ); ?></p>
	<?php
			break;
		default :
		// Proceed with normal comments.
		global $post;
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
		<article id="comment-<?php comment_ID(); ?>" class="comment">
			<div class="comment-avatar">
				<?php echo get_avatar( $comment, 50 ); ?>
			</div>
			<div class="comment-info">
				<header class="comment-meta comment-author vcard">
					<?php
						
						printf( '<cite><b class="fn">%1$s</b> %2$s</cite>',
							get_comment_author_link(),
							// If current post author is also comment author, make it known visually.
							( $comment->user_id === $post->post_author ) ? '<span>' . esc_html__( 'Post author', 'vg-flexshop' ) . '</span>' : ''
						);
						printf( '<time datetime="%1$s">%2$s</time>',
							get_comment_time( 'c' ),
							/* translators: 1: date, 2: time */
							sprintf( esc_html__( '%1$s at %2$s', 'vg-flexshop' ), get_comment_date(), get_comment_time() )
						);
					?>
					<div class="reply">
						<?php comment_reply_link( array_merge( $args, array( 'reply_text' => esc_html__( 'Reply', 'vg-flexshop' ), 'after' => '', 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
					</div><!-- .reply -->
				</header><!-- .comment-meta -->
				<?php if ( '0' == $comment->comment_approved ) : ?>
					<p class="comment-awaiting-moderation"><?php esc_html_e( 'Your comment is awaiting moderation.', 'vg-flexshop' ); ?></p>
				<?php endif; ?>

				<section class="comment-content comment">
					<?php comment_text(); ?>
					<?php edit_comment_link( esc_html__( 'Edit', 'vg-flexshop' ), '<p class="edit-link">', '</p>' ); ?>
				</section><!-- .comment-content -->
			</div>
		</article><!-- #comment-## -->
	<?php
		break;
	endswitch; // end comment_type check
}
endif;
if ( ! function_exists( 'before_comment_fields' ) &&  ! function_exists( 'after_comment_fields' )) :
//Change comment form
function flexshop_before_comment_fields() {
	echo '<div class="comment-input">';
}
add_action('comment_form_before_fields', 'flexshop_before_comment_fields');

function flexshop_after_comment_fields() {
	echo '</div>';
}
add_action('comment_form_after_fields', 'flexshop_after_comment_fields');

endif; 
 
function flexshop_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
}
add_action( 'customize_register', 'flexshop_customize_register' );

/**
 * Enqueue Javascript postMessage handlers for the Customizer.
 *
 * Binds JS handlers to make the Customizer preview reload changes asynchronously.
 *
 * @since VinaGecko 1.0
 */
 
add_action( 'wp_enqueue_scripts', 'flexshop_wcqi_enqueue_polyfill' );
function flexshop_wcqi_enqueue_polyfill() {
    wp_enqueue_script( 'wcqi-number-polyfill' );
}

/* Remove Redux Demo Link */
function flexshop_removeDemoModeLink()
{
    if(class_exists('ReduxFrameworkPlugin')) {
        remove_filter('plugin_row_meta', array(ReduxFrameworkPlugin::get_instance(), 'plugin_metalinks'), null, 2);
    }
    if(class_exists('ReduxFrameworkPlugin')) {
        remove_action('admin_notices', array(ReduxFrameworkPlugin::get_instance(), 'admin_notices'));    
    }
}
add_action('init', 'flexshop_removeDemoModeLink');

// HieuJa add specific class
function flexshop_add_query_vars_filter($vars) {
		$vars[] = "demo";
		return $vars;
	}
add_filter('query_vars', 'flexshop_add_query_vars_filter');

// Get value from URL and set Cookie, Class Subffix
function flexshop_body_class($classes)
{	
	global $flexshop_options;
	
	// Set Class Layout for Body Tag
	$classes[] = flexshop_get_layout();
	
	// Set Class Preset Color for Body Tag
	$classes[] = "preset-" . flexshop_get_preset();
	
	return $classes;
}
add_filter('body_class', 'flexshop_body_class');

/// Override get_header function
function flexshop_get_header()
{
	// Get Header Name
	$header = flexshop_get_layout();
	
	get_header($header);	
}

// Override get_footer function
function flexshop_get_footer()
{
	// Get Footer Name
	$footer = flexshop_get_layout();
	
	get_footer($footer);	
}

// HieuJa get Layout
function flexshop_get_layout()
{
	global $flexshop_options;
	
	$layout = isset($flexshop_options['page_layout']) ? $flexshop_options['page_layout'] : 'layout-1';
	$demo   = get_query_var('demo', '');
	
	if(!empty($demo)) 
	{
		$demo   = str_replace("niche-", "", $demo);
		$demo   = str_split($demo);
		$layout = 'layout-' . $demo[0];
	}
	
	return $layout;
}

// HieuJa get Preset Color
function flexshop_get_preset()
	{
		global $flexshop_options;
		
		$presetColor = isset($flexshop_options['preset_option']) ? $flexshop_options['preset_option'] : '1';	
		$demo   	 = get_query_var('demo', '');
		
		if(!empty($demo)) 
		{
			$demo   	 = str_replace("niche-", "", $demo);
			$demo   	 = str_split($demo);
			$presetColor = $demo[1];
		}
		
		return $presetColor;
	}


// HieuJa get global variables
function flexshop_get_global_variables($variable = 'flexshop_options')
{
	global $woocommerce, $flexshop_options, $flexshop_productsfound, $product, $flexshop_productrows, $flexshop_secondimage, $woocommerce_loop, $projects_loop, $projects, $project, $post, $flexshop_projectrows, $flexshop_projectsfound, $wpdb, $wp_query, $is_IE;
	
	switch($variable)
	{
		case "flexshop_options":
			return $flexshop_options;
		break;
		case "woocommerce":
			return $woocommerce;
		break;	
		case "flexshop_productsfound":
			return $flexshop_productsfound;
		break;	
		case "product":
			return $product;
		break;	
		case "flexshop_productrows":
			return $flexshop_productrows;
		break;
		case "flexshop_secondimage":
			return $flexshop_secondimage;
		break;
		case "woocommerce_loop":
			return $woocommerce_loop;
		break;	
		case "projects_loop":
			return $projects_loop;
		break;
		case "projects":
			return $projects;
		break;
		case "project":
			return $project;
		break;		
		case "post":
			return $post;
		break;	
		case "flexshop_projectrows":
			return $flexshop_projectrows;
		break;	
		case "flexshop_projectsfound":
			return $flexshop_projectsfound;
		break;	
		case "wpdb":
			return $wpdb;
		break;		
		case "wp_query":
			return $wp_query;
		break;	
		case "is_IE":
			return $is_IE;
		break;
	}
	return false;
}
//swallow code sale and featured %
add_filter('woocommerce_featured_flash', 'flexshop_change_featured_flash');
function flexshop_change_featured_flash() {
	global $flexshop_options;
	$flexshop_options['featured_label_custom'] 	= isset($flexshop_options['featured_label_custom']) ? $flexshop_options['featured_label_custom'] : "";
	
	return '<div class="vgwc-label vgwc-featured"><span>' . esc_html($flexshop_options['featured_label_custom']) . '</span></div>';
}

function flexshop_woothemes_testimonials_html( $html, $query, $args ) {
	$html = str_replace( 'itemprop', 'data-itemprop', $html );
	return $html;
}

add_filter( 'woothemes_testimonials_html', 'flexshop_woothemes_testimonials_html', 10, 3 );

add_filter('woocommerce_sale_flash', 'flexshop_change_on_sale_flash');
function flexshop_change_on_sale_flash() {
	global $product,$post,$flexshop_options;
	$flexshop_options['sale_label'] 	= isset($flexshop_options['sale_label']) ? $flexshop_options['sale_label'] : "";
	$sale = '';
	$format = $flexshop_options['sale_label'];

	if (!empty($format)) {
		if ($format == 'custom') {
			$flexshop_options['sale_label_custom'] 	= isset($flexshop_options['sale_label_custom']) ? $flexshop_options['sale_label_custom'] : "";
			$format = $flexshop_options['sale_label_custom'];
		}
		$priceDiff = 0;
		$percentDiff = 0;
		$regularPrice = '';
		$salePrice = '';
		if (!empty($product)) {
			$salePrice = get_post_meta($product->get_id(), '_price', true);
			$regularPrice = get_post_meta($product->get_id(), '_regular_price', true);
			
			if($product->get_children()) {
				foreach ( $product->get_children() as $child_id ) {
					$all_prices[] = get_post_meta( $child_id, '_price', true );
					$all_prices1[] = get_post_meta( $child_id, '_regular_price', true );
					$all_prices2[] = get_post_meta( $child_id, '_sale_price', true );
					if(get_post_meta( $child_id, '_price', true ) == $salePrice) {
						$regularPrice = get_post_meta( $child_id, '_regular_price', true );
					}
				}
			}
		}

		if (!empty($regularPrice) && !empty($salePrice ) && $regularPrice > $salePrice ) {
			$priceDiff = $regularPrice - $salePrice;
			$percentDiff = round($priceDiff / $regularPrice * 100);
			$parsed = str_replace('{price-diff}', number_format((float)$priceDiff, 2, '.', ''), $format);
			$parsed = str_replace('{percent-diff}', $percentDiff, $parsed);
			if($product->is_featured()) {
				$sale = '<div class="vgwc-label vgwc-onsale sale-featured"><span>'. $parsed .'</span></div>';
			}
			else {
				$sale = '<div class="vgwc-label vgwc-onsale"><span>'. $parsed .'</span></div>';
			}
		}
	}
	return $sale;
}

function flexshop_custom_script_css () {
	global $flexshop_options;
	
	$customCSS = isset($flexshop_options['advanced_editor_css']) ? $flexshop_options['advanced_editor_css'] : "";
	$customJS  = isset($flexshop_options['advanced_editor_js']) ? $flexshop_options['advanced_editor_js'] : "";
	
	wp_add_inline_style('flexshop-style', $customCSS);
	wp_add_inline_script('flexshop-theme-js', $customJS);
}
add_action('wp_enqueue_scripts', 'flexshop_custom_script_css');

function smart_category_top_parent_id ($catid) {
    while ($catid) {
        $cat = get_category($catid); // get the object for the catid
        $catid = $cat->category_parent; // assign parent ID (if exists) to $catid
          // the while loop will continue whilst there is a $catid
          // when there is no longer a parent $catid will be NULL so we can assign our $catParent
        $catParent = $cat->cat_ID;
    }
    return $catParent;
}

// TrungGiap Effect Products
function flexshop_hover_effect_products(){
	global $flexshop_options;
	$effectproducts = (isset($flexshop_options['Effect_products']) && $flexshop_options['Effect_products']!='') ? $flexshop_options['Effect_products'] : '';
	
	return $effectproducts;
}
// TrungGiap Effect Blog
function flexshop_hover_effect_blog(){
	global $flexshop_options;
	$effectblog = (isset($flexshop_options['Effect_blog']) && $flexshop_options['Effect_blog']!='') ? $flexshop_options['Effect_blog'] : '';
	return $effectblog;
}

// HuyPham Effect Banner
function flexshop_hover_effect_banner() {
	global $flexshop_options;
	
	$effectbanner = (isset($flexshop_options['Effect_banner']) && $flexshop_options['Effect_banner']!='') ? $flexshop_options['Effect_banner'] : '';
	
	$customJSGrid1 = "
		jQuery(document).ready(function(){					
			jQuery('.banner-home').addClass('". $effectbanner ."');
			jQuery('.widget_sp_image').addClass('". $effectbanner ."');
		});
	";
	wp_add_inline_script('flexshop-theme-js', $customJSGrid1);
}
add_action('wp_enqueue_scripts', 'flexshop_hover_effect_banner');
function flexshop_remove_api () {
	remove_action( 'wp_head', 'rest_output_link_wp_head', 10 );
	remove_action( 'wp_head', 'wp_oembed_add_discovery_links', 10 );
	remove_action( 'template_redirect', 'rest_output_link_header', 11, 0 );
}
add_action( 'after_setup_theme', 'flexshop_remove_api' );

function flexshop_max_menu_item () {
	global $flexshop_options;
	?>
	<script type="text/javascript">
		var vg_max_menu = false;
		<?php if((isset($flexshop_options['show_menu_max']) && $flexshop_options['show_menu_max']) && ($flexshop_options['show_menu_max'] == true)) { ?>
			vg_max_menu = true;
			var title_more_categories = "<?php echo isset($flexshop_options['title_more_categories']) ? $flexshop_options['title_more_categories'] : ""; ?>";
			var title_close_menu = "<?php echo isset($flexshop_options['title_close_menu']) ? $flexshop_options['title_close_menu'] : "" ; ?>";
			var menu_max_number = <?php echo (isset($flexshop_options['menu_max_number']) ? $flexshop_options['menu_max_number'] : "") + 1; ?>;
		<?php } else { ?>
			vg_max_menu = false;
		<?php } ?>			
	</script>	
	<?php
}
add_action('wp_head', 'flexshop_max_menu_item');	
/******************************************************************************/
/******************************* Add Lazy Load ********************************/
/******************************************************************************/
if(!is_admin()){
	function vg_flexshop_alter_att_attributes($attr) {
		$attr['data-src'] = $attr['src'];
		$attr['class'] 	  = $attr['class'] . ' lazy';
		$attr['src'] 	  = 'data:image/gif;base64,R0lGODlhAQABAIAAAP///wAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==';
		return $attr;
	}
	add_filter('wp_get_attachment_image_attributes', 'vg_flexshop_alter_att_attributes');
}
/* Sticky Menu */
function flexshop_sticky_header () {
	$flexshop_options = get_option("flexshop_options");
	
	$stickyJS = (isset($flexshop_options['sticky_menu']) && $flexshop_options['sticky_menu']) ? "sticky_menu = true;" : "sticky_menu = false;";
	
	wp_add_inline_script('flexshop-theme-js', $stickyJS);
}
add_action('wp_head', 'flexshop_sticky_header');