<?php
/**
 * @version    1.4
 * @package    VG Flexshop
 * @author     VinaGecko <support@vinagecko.com>
 * @copyright  Copyright (C) 2015 VinaGecko.com. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * Websites: http://vinagecko.com
 */
?>
<!DOCTYPE html>

<html <?php language_attributes(); ?>>
<!--<![endif]-->

<head>

<?php
	$flexshop_options  = flexshop_get_global_variables(); 
	$woocommerce 	= flexshop_get_global_variables('woocommerce'); 
?>

<meta charset="<?php bloginfo('charset'); ?>" />
<meta name="viewport" content="width=device-width, initial-scale=1">

<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<?php if (isset($flexshop_options['share_head_code']) && $flexshop_options['share_head_code']!='') {
	echo wp_kses($flexshop_options['share_head_code'], array(
		'script' => array(
			'type' 	=> array(),
			'src' 	=> array(),
			'async' => array()
		),
	));
} ?>

<?php 
	// HieuJa get Preset Color Option
	$presetopt = flexshop_get_preset();
	// HieuJa end block
	//HieuJa check Undefile
	$flexshop_options['flexshop_loading'] 	= isset($flexshop_options['flexshop_loading']) ? $flexshop_options['flexshop_loading'] : ""; 
	$flexshop_options['page_style'] 	= isset($flexshop_options['page_style']) ? $flexshop_options['page_style'] : ""; 
	$flexshop_options['logo_main'] 	= isset($flexshop_options['logo_main']) ? $flexshop_options['logo_main'] : ""; 
	$flexshop_options['logo_text'] 	= isset($flexshop_options['logo_text']) ? $flexshop_options['logo_text'] : ""; 
	$flexshop_options['title_mobile_menu'] 	= isset($flexshop_options['title_mobile_menu']) ? $flexshop_options['title_mobile_menu'] : ""; 
?>


<?php wp_head(); ?>
</head>

<!-- Body Start Block -->
<body <?php body_class(); ?>>

<!-- Page Loader Block -->
<?php if ($flexshop_options['flexshop_loading']) : ?>
<div id="pageloader">
	<div id="loader"></div>
	<div class="loader-section left"></div>
	<div class="loader-section right"></div>
</div>
<?php endif; ?>

<div id="yith-wcwl-popup-message"><div id="yith-wcwl-message"></div></div>
<div class="wrapper <?php if($flexshop_options['page_style']=='box'){echo 'box-layout';}?>">

	<div class="header-wrapper home4">
		<div class="top-wrapper">
			<div class="header-container">
				<!-- Top Header -->
				<?php if (is_active_sidebar('sidebar-vg-top-header2') || is_active_sidebar('sidebar-vg-top-header4') ): ?>
				<div class="top-bar home4">
					<div class="container">
						<div id="top">
							<div class="row">
								<?php if (is_active_sidebar('sidebar-vg-top-header2')) : ?> 
								<div class="vg-top-left col-md-<?php echo (is_active_sidebar('sidebar-vg-top-header4')) ? '6' : '12'; ?> col-sm-12 col-xs-12">
									<?php dynamic_sidebar('sidebar-vg-top-header2'); ?>
								</div>
								<?php endif;?>
															
								<?php if (is_active_sidebar('sidebar-vg-top-header4')) : ?> 
								<div class="vg-top-right col-md-<?php echo (is_active_sidebar('sidebar-vg-top-header2')) ? '6' : '12'; ?> col-sm-12 col-xs-12">
									<?php dynamic_sidebar('sidebar-vg-top-header4'); ?>
								</div>
								<?php endif;?>
							</div>
						</div>
					</div>
				</div>
				<?php endif; ?>
				
				<!-- Content Header -->
				<div class="header home1">
					<div class="container">
						<div class="row">
								
							<!-- Logo -->
							
							<div id="sp-logo" class="col-md-3 col-sm-12 col-xs-12">
							<?php if(!empty($flexshop_options['logo_main']['url'])){ ?>
								<div class="logo">
									<a href="<?php echo esc_url(home_url('/')); ?>" title="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>" rel="home">
										<img src="<?php echo esc_url($flexshop_options['logo_main']['url']); ?>" alt="" />
									</a>
								</div>
							<?php } else if(!empty($flexshop_options['logo_text'])) {?>
								<h1 class="logo"><a href="<?php echo esc_url(home_url('/')); ?>" title="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>" rel="home"><?php echo esc_html($flexshop_options['logo_text']); ?></a></h1>
							<?php } else { ?>
								<div class="logo">
									<a href="<?php echo esc_url(home_url('/')); ?>" title="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>" rel="home">
										<img src="<?php echo esc_url(get_template_directory_uri() . '/images/presets/preset'. $presetopt .'/logo.png' ); ?>" alt="" />
									</a>
								</div>
							<?php } ?>
							</div>
							
							<div class="sp-header-wrapper home1 col-md-9 col-sm-12 col-xs-12">
								<div class="row">
									<div class="sp-main-menu home4 col-md-<?php echo (is_active_sidebar('sidebar-content-header')) ? '9' : '12'; ?>  col-sm-12 col-xs-12">
										<div id="menu-container">
											<div id="header-menu">
												<div class="header-menu visible-large">
													<?php echo wp_nav_menu(array("theme_location" => "primary","")); ?>
												</div>
												<div class="visible-small">
													<div class="mbmenu-toggler"><span class="title"><?php echo esc_html($flexshop_options['title_mobile_menu']); ?></span><span class="mbmenu-icon"></span></div>
													<div class="nav-container">
														<?php wp_nav_menu(array('theme_location' => 'mobilemenu', 'container_class' => 'mobile-menu-container', 'menu_class' => 'nav-menu')); ?>
													</div>
												</div>
											</div>
										</div>
									</div>
										
									<?php if (is_active_sidebar('sidebar-cart-header')) : ?> 
										<div class="sp-right-header home4 col-md-3 col-sm-12 col-xs-12">
											<div class="right-cart-header">
												<?php dynamic_sidebar('sidebar-cart-header'); ?>
											</div>
										</div>	
									<?php endif; ?>						
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		<!-- Search Cart -->
		<div class="sp-bottom-header-wrapper home4">
			<div class="container">
				<div class="row">
						
						<!-- Widget Left -->
						<?php if (is_active_sidebar('sidebar-left-bottom-header')) : ?>
						<div class="category-main-menu sp-left-bottom-header col-md-3 col-sm-12 col-xs-12">
							<div class="left-bottom-header cateproductmenu">
								<?php dynamic_sidebar('sidebar-left-bottom-header'); ?>
							</div>
						</div>
						<?php endif; ?>
						
						
						<?php if (is_active_sidebar('sidebar-content-bottom-header')) { ?>
						<div id="sp-content-bottom-header" class="col-md-<?php  if((is_active_sidebar('sidebar-left-bottom-header') && is_active_sidebar('sidebar-phone-header'))){
									echo '6';
								}elseif(is_active_sidebar('sidebar-left-bottom-header') || is_active_sidebar('sidebar-phone-header')){
									echo '9';
								}else{
									echo '12';
								}
								?> col-sm-12 col-xs-12">
							<div class="content-bottom-header">
								 <?php dynamic_sidebar('sidebar-content-bottom-header'); ?>
							</div>		
						</div>		
						<?php } ?>
						<!-- Widget Right -->
						
						<?php if (is_active_sidebar('sidebar-phone-header')) : ?>
						<div class="sp-right-bottom-header home2 col-md-3 col-sm-12 col-xs-12">
							<div class="phone-header">
								<?php dynamic_sidebar('sidebar-phone-header'); ?>
							</div>
						</div>
						<?php endif; ?>
					
				</div>
			</div>
		</div>
	</div>