<?php
/**
 * @version    1.4
 * @package    VG Flexshop
 * @author     VinaGecko <support@vinagecko.com>
 * @copyright  Copyright (C) 2015 VinaGecko.com. All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 *
 * Websites: http://vinagecko.com
 */
?>
<!DOCTYPE html>

<html <?php language_attributes(); ?>>
<!--<![endif]-->

<head>

<?php
	$flexshop_options  = flexshop_get_global_variables(); 
	$woocommerce 	= flexshop_get_global_variables('woocommerce'); 
?>

<meta charset="<?php bloginfo('charset'); ?>" />
<meta name="viewport" content="width=device-width, initial-scale=1">

<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<?php if (isset($flexshop_options['share_head_code']) && $flexshop_options['share_head_code']!='') {
	echo wp_kses($flexshop_options['share_head_code'], array(
		'script' => array(
			'type' 	=> array(),
			'src' 	=> array(),
			'async' => array()
		),
	));
} ?>

<?php 
	// HieuJa get Preset Color Option
	$presetopt = flexshop_get_preset();
	// HieuJa end block
	//HieuJa check Undefile
	$flexshop_options['flexshop_loading'] 	= isset($flexshop_options['flexshop_loading']) ? $flexshop_options['flexshop_loading'] : ""; 
	$flexshop_options['page_style'] 	= isset($flexshop_options['page_style']) ? $flexshop_options['page_style'] : ""; 
	$flexshop_options['logo_main'] 	= isset($flexshop_options['logo_main']) ? $flexshop_options['logo_main'] : ""; 
	$flexshop_options['logo_text'] 	= isset($flexshop_options['logo_text']) ? $flexshop_options['logo_text'] : ""; 
	$flexshop_options['title_mobile_menu'] 	= isset($flexshop_options['title_mobile_menu']) ? $flexshop_options['title_mobile_menu'] : ""; 
?>


<?php wp_head(); ?>
</head>

<!-- Body Start Block -->
<body <?php body_class(); ?>>

<?php if($flexshop_options['flexshop_loading']) : ?>
<!-- Page Loader Block -->
<div id="pageloader">
	<div id="loader"></div>
	<div class="loader-section left"></div>
	<div class="loader-section right"></div>
</div>
<?php endif; ?>

<div id="yith-wcwl-popup-message"><div id="yith-wcwl-message"></div></div>
<div class="wrapper <?php if($flexshop_options['page_style']=='box'){echo 'box-layout';}?>">

	
	<div class="top-wrapper">
		<div class="header-container">
			<!-- Top Header -->
			<?php if (is_active_sidebar('sidebar-vg-top-header1') || is_active_sidebar('sidebar-vg-top-header2') ): ?>
			<div class="top-bar">
				<div class="container">
					<div id="top">
						<div class="row">
							<?php if (is_active_sidebar('sidebar-vg-top-header1')) : ?> 
							<div class="vg-top-left col-md-<?php echo (is_active_sidebar('sidebar-vg-top-header2')) ? '6' : '12'; ?> col-sm-12 col-xs-12">
								<?php dynamic_sidebar('sidebar-vg-top-header1'); ?>
							</div>
							<?php endif;?>
														
							<?php if (is_active_sidebar('sidebar-vg-top-header2')) : ?> 
							<div class="vg-top-right col-md-<?php echo (is_active_sidebar('sidebar-vg-top-header1')) ? '6' : '12'; ?> col-sm-12 col-xs-12">
								<?php dynamic_sidebar('sidebar-vg-top-header2'); ?>
							</div>
							<?php endif;?>
						</div>
					</div>
				</div>
			</div>
			<?php endif; ?>
			
			<!-- Content Header -->
			<div class="header">
				<div class="container">
					<div class="row">
							
						<!-- Logo -->
						
						<div id="sp-logo" class="col-md-<?php echo (is_active_sidebar('sidebar-phone-header') || is_active_sidebar('sidebar-left-header')) ? '3' : '12'; ?> col-sm-12 col-xs-12">
						<?php if(!empty($flexshop_options['logo_main']['url'])){ ?>
							<div class="logo">
								<a href="<?php echo esc_url(home_url('/')); ?>" title="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>" rel="home">
									<img src="<?php echo esc_url($flexshop_options['logo_main']['url']); ?>" alt="" />
								</a>
							</div>
						<?php } else if(!empty($flexshop_options['logo_text'])) {?>
							<h1 class="logo"><a href="<?php echo esc_url(home_url('/')); ?>" title="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>" rel="home"><?php echo esc_html($flexshop_options['logo_text']); ?></a></h1>
						<?php } else { ?>
							<div class="logo">
								<a href="<?php echo esc_url(home_url('/')); ?>" title="<?php echo esc_attr(get_bloginfo('name', 'display')); ?>" rel="home">
									<img src="<?php echo esc_url(get_template_directory_uri() . '/images/presets/preset'. $presetopt .'/logo.png' ); ?>" alt="" />
								</a>
							</div>
						<?php } ?>
						</div>
						
						
						<?php if (is_active_sidebar('sidebar-content-header') || is_active_sidebar('sidebar-phone-header')) : ?>
						<div class="sp-header-wrapper home1 col-md-9 col-sm-12 col-xs-12">
							<div class="row">
								<?php if (is_active_sidebar('sidebar-content-header')) { ?>
								<div id="sp-content-header" class="<?php echo (is_active_sidebar('sidebar-phone-header')) ? 'col-md-8 col-sm-8' : '12'; ?>  col-xs-12">
									<div class="content-header">
										 <?php dynamic_sidebar('sidebar-content-header'); ?>
									</div>		
								</div>		
								<?php } ?>
								
								<?php if (is_active_sidebar('sidebar-phone-header')) : ?> 
									<div class="sp-right-header <?php echo (is_active_sidebar('sidebar-content-header')) ? 'col-md-4 col-sm-4' : '12'; ?> col-xs-12">
										<div class="phone-header">
											<?php dynamic_sidebar('sidebar-phone-header'); ?>
										</div>
									</div>	
								<?php endif; ?>
							</div>
						</div>
						<?php endif; ?>
					
					</div>
				</div>
			</div>
		</div>
	</div>
	
	<!-- Search Cart -->
	<div class="sp-bottom-header-wrapper home1">
		<div class="container">
			<div class="row">
					
					<!-- Widget Left -->
					<?php if (is_active_sidebar('sidebar-left-bottom-header')) : ?>
					<div class="sp-left-bottom-header col-lg-3 col-md-3 col-sm-12 col-xs-12">
						<div class="left-bottom-header cateproductmenu">
							<?php dynamic_sidebar('sidebar-left-bottom-header'); ?>
						</div>
					</div>
					<?php endif; ?>
					
					<!-- Menu -->
					<div class="sp-main-menu home1 <?php  if((is_active_sidebar('sidebar-left-bottom-header') && is_active_sidebar('sidebar-cart-header'))){
						echo 'col-md-7 col-sm-8';
					}elseif(is_active_sidebar('sidebar-left-bottom-header')){
						echo 'col-md-9 col-sm-8';

					}elseif(is_active_sidebar('sidebar-cart-header')){
						echo 'col-md-10 col-sm-8';
					}else{
						echo 'col-md-12 col-sm-12';
					}
					?> col-xs-12">
						<div id="menu-container">
							<div id="header-menu">
								<div class="header-menu visible-large">
									<?php echo wp_nav_menu(array("theme_location" => "primary","")); ?>
								</div>
								<div class="visible-small">
									<div class="mbmenu-toggler"><span class="title"><?php echo esc_html($flexshop_options['title_mobile_menu']); ?></span><span class="mbmenu-icon"></span></div>
									<div class="nav-container">
										<?php wp_nav_menu(array('theme_location' => 'mobilemenu', 'container_class' => 'mobile-menu-container', 'menu_class' => 'nav-menu')); ?>
									</div>
								</div>
							</div>
						</div>
					</div>
					
					<!-- Widget Right -->
					
					<?php if (is_active_sidebar('sidebar-cart-header')) : ?>
					<div class="sp-right-bottom-header home1 col-md-2 col-sm-4 col-xs-12">
						<div class="right-cart-header">
							<?php dynamic_sidebar('sidebar-cart-header'); ?>
						</div>
					</div>
					<?php endif; ?>
				
			</div>
		</div>
	</div>