<?php
//Shortcodes for Visual Composer

add_action('vc_before_init', 'flexshop_vc_shortcodes');
function flexshop_vc_shortcodes() {
    $vgwctitle = array();
	//Swallow Code Custom elements Visual Composer
	if (function_exists('vgwc_init_scripts')) {
		
		$vgwctitle = (isset($vgwctitle)) ? $vgwctitle : '';
		$args = array(
			'post_type' => 'vgwc',
			'posts_per_page' => -1,
		);

		$vgwc = new WP_Query($args);
		
		if ($vgwc->have_posts()) : 
			while ($vgwc->have_posts()) : $vgwc->the_post(); 
				$vgwctitle[get_the_title()]= get_the_ID();
			endwhile;
		endif;
	}	
	
	if (function_exists('vgpc_init_scripts')) {
        $vgpc       = array();
        $vgpctitle  = array();
		$vgpctitle = (isset($vgpctitle)) ? $vgpctitle : '';
		$args = array(
			'post_type' => 'vgpc',
			'posts_per_page' => -1,
		);

		$vgpc = new WP_Query($args);
		
		if ($vgpc->have_posts()) : 
			while ($vgpc->have_posts()) : $vgpc->the_post(); 
				$vgpctitle[get_the_title()]= get_the_ID();
			endwhile;
		endif;
	}
	if (function_exists('mega_main_init')) {
		foreach ( get_registered_nav_menus() as $key => $value ){
			$key = str_replace( ' ', '-', $key );
			$theme_menu_locations[ $key ] = $key;
		}
		foreach ( get_nav_menu_locations() as $key => $value ){
			$key = str_replace( ' ', '-', $key );
			$theme_menu_locations[ $key ] = $key;
		}
	}
	//End Swallow Code Custom elements Visual Composer
	
	if (function_exists('mega_main_init')) {
		//VG MegaMenu && Custom Menu
		vc_map(array(
			'name' => esc_html__('VG MegaMenu', 'vg-flexshop'),
			'base' => 'vgmegamenu',
			'icon' => 'icon-wpb-vg icon-wpb-megamenu',
			'class' => '',
			'category' => esc_html__('VG Flexshop', 'vg-flexshop'),
			'description' => esc_html__('VG MegaMain Extensions Replace', 'vg-flexshop'),
			'admin_label' => true,
			'params' => array(
				array(
					'type' => 'textfield',
					'heading' =>  esc_html__( 'Widget title', 'vg-flexshop' ),
					'param_name' => 'title',
					'description' =>  esc_html__( 'What text use as a widget title. Leave blank to use default widget title.', 'vg-flexshop' ),
				),
				array(
					'type' => 'css_editor',
					'heading' =>  esc_html__( 'CSS box', 'vg-flexshop' ),
					'param_name' => 'css',
					'group' =>  esc_html__( 'Design Options', 'vg-flexshop' ),
				),
				array(
					'heading' =>  esc_html__( 'Select Mega Menu Desktop', 'vg-flexshop' ),
					'description' =>  esc_html__( 'Select Mega menu in desktop.', 'vg-flexshop' ),
					'param_name' => 'mega_menu',
					'type' => 'dropdown',
					'value' => $theme_menu_locations,
					'admin_label' => true,
					'save_always' => true,
				),	
				array(
					'heading' =>  esc_html__( 'Select Treeview Menu Mobile', 'vg-flexshop' ),
					'description' => empty( $custom_menus ) ?  esc_html__( 'Custom menus not found. Please visit <b>Appearance > Menus</b> page to create new menu.', 'vg-flexshop' ) :  esc_html__( 'Select menu to display.', 'vg-flexshop' ),
					'param_name' => 'nav_menu',
					'type' => 'dropdown',
					'value' => $theme_menu_locations,
					'admin_label' => true,
					'save_always' => true,
				),	
				array(
					'type' => 'textfield',
					'heading' =>  esc_html__( 'Extra class name', 'vg-flexshop' ),
					'param_name' => 'el_class',
					'description' =>  esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'vg-flexshop' ),
				),
				array(
					'type' => 'animation_style',
					'heading' => __( 'CSS Animation', 'vg-flexshop' ),
					'param_name' => 'css_animation',
					'value' => '',
					'settings' => array(
					'type' => 'in',
						'custom' => array(
							array(
								'label' => __( 'Default', 'vg-flexshop' ),
								'values' => array(
									__( 'Top to bottom', 'vg-flexshop' ) => 'top-to-bottom',
									__( 'Bottom to top', 'vg-flexshop' ) => 'bottom-to-top',
									__( 'Left to right', 'vg-flexshop' ) => 'left-to-right',
									__( 'Right to left', 'vg-flexshop' ) => 'right-to-left',
									__( 'Appear from center', 'vg-flexshop' ) => 'appear',
								),
							),
						),
					),
					'description' => __( 'Select type of animation for element to be animated when it "enters" the browsers viewport (Note: works only in modern browsers).', 'vg-flexshop' ),
				),
				array(
					'type' => 'textfield',
					'heading' =>  esc_html__( 'Extra class name', 'vg-flexshop' ),
					'param_name' => 'el_class',
					'description' =>  esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'vg-flexshop' ),
				),					
			)
		));
	}
	//Brand logos
	vc_map(array(
		'name' => esc_html__('Brand Logos', 'vg-flexshop'),
		'base' => 'ourbrands',
		'icon' => 'icon-wpb-vg icon-wpb-ourbrands',
		'class' => '',
		'category' => esc_html__('VG Flexshop', 'vg-flexshop'),
		'params' => array(
			array(
				'type' => 'textfield',
				'heading' =>  esc_html__( 'Widget title', 'vg-flexshop' ),
				'param_name' => 'title',
				'description' =>  esc_html__( 'Enter text used as widget title (Note: located above content element).', 'vg-flexshop' ),
			),
			array(
				'type' => 'css_editor',
				'heading' =>  esc_html__( 'CSS box', 'vg-flexshop' ),
				'param_name' => 'css',
				'group' =>  esc_html__( 'Design Options', 'vg-flexshop' ),
			),
			array(
				'type' => 'dropdown',
				'holder' => 'div',
				'class' => '',
				'heading' => esc_html__('Number of rows', 'vg-flexshop'),
				'param_name' => 'rowsnumber',
				'value' => array(
					'one'	=> 'one',
					'two'	=> 'two',
					'four'	=> 'four',
					'five'  => 'five '
				),
			),
			array(
				'type' 		 => 'textfield',
				'heading' 	 =>  esc_html__( 'Items Visible:', 'vg-flexshop' ),
				'param_name' => 'items_visible',
				'value'		 => '4',
			),		
			array(
				'type' 		 => 'textfield',
				'heading' 	 =>  esc_html__( 'Desktop - Column Number:', 'vg-flexshop' ),
				'param_name' => 'desktop_number',
				'value' 	 =>	 esc_html__('1170,3', 'vg-flexshop'),
			),		
			array(
				'type' 		 => 'textfield',
				'heading' 	 =>  esc_html__( 'S Desktop - Column Number:', 'vg-flexshop' ),
				'param_name' => 'sdesktop_number',
				'value' 	 =>	 esc_html__('992,2', 'vg-flexshop'),
			),		
			array(
				'type' 		 => 'textfield',
				'heading' 	 =>  esc_html__( 'Tablet - Column Number:', 'vg-flexshop' ),
				'param_name' => 'tablet_number',
				'value' 	 =>	 esc_html__('800,2', 'vg-flexshop'),
			),		
			array(
				'type' 		 => 'textfield',
				'heading' 	 =>  esc_html__( 'S Tablet - Column Number:', 'vg-flexshop' ),
				'param_name' => 'stablet_number',
				'value' 	 =>	 esc_html__('650,2', 'vg-flexshop'),
			),		
			array(
				'type' 		 => 'textfield',
				'heading' 	 =>  esc_html__( 'Mobile - Column Number:', 'vg-flexshop' ),
				'param_name' => 'mobile_number',
				'value' 	 =>	 esc_html__('599,1', 'vg-flexshop'),
			),
			array(
				'type' => 'checkbox',
				'heading' =>  esc_html__( 'Show Icon?', 'vg-flexshop' ),
				'param_name' => 'add_show_icon',
				'description' =>  esc_html__( 'Show Icon.', 'vg-flexshop' ),
				'value' => array(  esc_html__( 'Yes', 'vg-flexshop' ) => 'Yes' ),
				'save_always' => true,
			),
			array(
				'type' => 'dropdown',
				'heading' =>  esc_html__( 'Icon library', 'vg-flexshop' ),
				'value' => array(
					 esc_html__( 'Font Awesome', 'vg-flexshop' ) => 'fontawesome',
					 esc_html__( 'Open Iconic', 'vg-flexshop' ) => 'openiconic',
					 esc_html__( 'Typicons', 'vg-flexshop' ) => 'typicons',
					 esc_html__( 'Entypo', 'vg-flexshop' ) => 'entypo',
					 esc_html__( 'Linecons', 'vg-flexshop' ) => 'linecons',
				),
				'save_always' => true,
				'admin_label' => true,
				'param_name' => 'type',
				'description' =>  esc_html__( 'Select icon library.', 'vg-flexshop' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' =>  esc_html__( 'Icon', 'vg-flexshop' ),
				'param_name' => 'icon_fontawesome',
				'value' => 'fa fa-adjust', // default value to backend editor admin_label
				'save_always' => true,
				'settings' => array(
					'emptyIcon' => true,
					// default true, display an 'EMPTY' icon?
					'iconsPerPage' => 4000,
					// default 100, how many icons per/page to display, we use (big number) to display all icons in single page
				),
				'dependency' => array(
					'element' => 'type',
					'value' => 'fontawesome',
				),
				'description' =>  esc_html__( 'The Always select icon from the library if you want to have the icon.', 'vg-flexshop' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' =>  esc_html__( 'Icon', 'vg-flexshop' ),
				'param_name' => 'icon_openiconic',
				'value' => 'vc-oi vc-oi-dial', // default value to backend editor admin_label
				'save_always' => true,
				'settings' => array(
					'emptyIcon' => false, // default true, display an 'EMPTY' icon?
					'type' => 'openiconic',
					'iconsPerPage' => 4000, // default 100, how many icons per/page to display
				),
				'dependency' => array(
					'element' => 'type',
					'value' => 'openiconic',
				),
				'description' =>  esc_html__( 'The Always select icon from the library if you want to have the icon.', 'vg-flexshop' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' =>  esc_html__( 'Icon', 'vg-flexshop' ),
				'param_name' => 'icon_typicons',
				'value' => 'typcn typcn-adjust-brightness', // default value to backend editor admin_label
				'save_always' => true,
				'settings' => array(
					'emptyIcon' => false, // default true, display an 'EMPTY' icon?
					'type' => 'typicons',
					'iconsPerPage' => 4000, // default 100, how many icons per/page to display
				),
				'dependency' => array(
					'element' => 'type',
					'value' => 'typicons',
				),
				'description' =>  esc_html__( 'The Always select icon from the library if you want to have the icon.', 'vg-flexshop' ),
			),
			array(
				'type' => 'iconpicker',
				'heading' =>  esc_html__( 'Icon', 'vg-flexshop' ),
				'param_name' => 'icon_entypo',
				'value' => 'entypo-icon entypo-icon-note', // default value to backend editor admin_label
				'save_always' => true,
				'settings' => array(
					'emptyIcon' => false, // default true, display an 'EMPTY' icon?
					'type' => 'entypo',
					'iconsPerPage' => 4000, // default 100, how many icons per/page to display
				),
				'dependency' => array(
					'element' => 'type',
					'value' => 'entypo',
				),
			),
			array(
				'type' => 'iconpicker',
				'heading' =>  esc_html__( 'Icon', 'vg-flexshop' ),
				'param_name' => 'icon_linecons',
				'value' => 'vc_li vc_li-heart', // default value to backend editor admin_label
				'save_always' => true,
				'settings' => array(
					'emptyIcon' => false, // default true, display an 'EMPTY' icon?
					'type' => 'linecons',
					'iconsPerPage' => 4000, // default 100, how many icons per/page to display
				),
				'dependency' => array(
					'element' => 'type',
					'value' => 'linecons',
				),
				'description' =>  esc_html__( 'The Always select icon from the library if you want to have the icon.', 'vg-flexshop' ),
			),
			array(
				'type' => 'textfield',
				'heading' =>  esc_html__( 'Extra class name', 'vg-flexshop' ),
				'param_name' => 'el_class',
				'description' =>  esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'vg-flexshop' ),
			),
			array(
					'type' => 'animation_style',
					'heading' => __( 'CSS Animation', 'vg-flexshop' ),
					'param_name' => 'css_animation',
					'value' => '',
					'settings' => array(
					'type' => 'in',
						'custom' => array(
							array(
								'label' => __( 'Default', 'vg-flexshop' ),
								'values' => array(
									__( 'Top to bottom', 'vg-flexshop' ) => 'top-to-bottom',
									__( 'Bottom to top', 'vg-flexshop' ) => 'bottom-to-top',
									__( 'Left to right', 'vg-flexshop' ) => 'left-to-right',
									__( 'Right to left', 'vg-flexshop' ) => 'right-to-left',
									__( 'Appear from center', 'vg-flexshop' ) => 'appear',
								),
							),
						),
					),
					'description' => __( 'Select type of animation for element to be animated when it "enters" the browsers viewport (Note: works only in modern browsers).', 'vg-flexshop' ),
				),
			array(
				'type' => 'textfield',
				'heading' =>  esc_html__( 'Extra class name', 'vg-flexshop' ),
				'param_name' => 'el_class',
				'description' =>  esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'vg-flexshop' ),
			),			
		)
	));
	
	//NEWSLETTER
	vc_map(array(
		'name' => esc_html__('Newsletter', 'vg-flexshop'),
		'base' => 'newsletter',
		'class' => '',
		'category' => esc_html__('VG Flexshop', 'vg-flexshop'),
		'params' => array(
			array(
				'type' => 'textfield',
				'heading' =>  esc_html__( 'Newsletter title', 'vg-flexshop' ),
				'param_name' => 'title',
				'description' =>  esc_html__( 'Enter text used as widget title (Note: located above content element).', 'vg-flexshop' ),
			),
			array(
				'type' => 'css_editor',
				'heading' =>  esc_html__( 'CSS box', 'vg-flexshop' ),
				'param_name' => 'css',
				'group' =>  esc_html__( 'Design Options', 'vg-flexshop' ),
			),
			array(
				'type' => 'textfield',
				'heading' =>  esc_html__( 'Newsletter form ID', 'vg-flexshop' ),
				'param_name' => 'newsletter_id',
				'description' =>  esc_html__( 'The form ID of MailPoet plugin.).', 'vg-flexshop' ),
				"value" => '1',
			),
			array(
				'type' => 'checkbox',
				'heading' =>  esc_html__( 'Show Social', 'vg-flexshop' ),
				'param_name' => 'add_show_social',
				'description' =>  esc_html__( 'Show Social bot.', 'vg-flexshop' ),
				'value' => array(  esc_html__( 'Yes', 'vg-flexshop' ) => 'Yes' ),
				'save_always' => true,
			),
			array(
				'type' => 'textfield',
				'heading' =>  esc_html__( 'Extra class name', 'vg-flexshop' ),
				'param_name' => 'el_class',
				'description' =>  esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'vg-flexshop' ),
			),
			array(
					'type' => 'animation_style',
					'heading' => __( 'CSS Animation', 'vg-flexshop' ),
					'param_name' => 'css_animation',
					'value' => '',
					'settings' => array(
					'type' => 'in',
						'custom' => array(
							array(
								'label' => __( 'Default', 'vg-flexshop' ),
								'values' => array(
									__( 'Top to bottom', 'vg-flexshop' ) => 'top-to-bottom',
									__( 'Bottom to top', 'vg-flexshop' ) => 'bottom-to-top',
									__( 'Left to right', 'vg-flexshop' ) => 'left-to-right',
									__( 'Right to left', 'vg-flexshop' ) => 'right-to-left',
									__( 'Appear from center', 'vg-flexshop' ) => 'appear',
								),
							),
						),
					),
					'description' => __( 'Select type of animation for element to be animated when it "enters" the browsers viewport (Note: works only in modern browsers).', 'vg-flexshop' ),
				),
			array(
				'type' => 'textfield',
				'heading' =>  esc_html__( 'Extra class name', 'vg-flexshop' ),
				'param_name' => 'el_class',
				'description' =>  esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'vg-flexshop' ),
			),			
		)
	));
	
	//Testimonials
	vc_map( array(
		"name" => esc_html__( "Testimonials", "vg-flexshop" ),
		"base" => "woothemes_testimonials",
		"class" => "",
		"category" => esc_html__( "VG Flexshop", "vg-flexshop"),
		"params" => array(
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => esc_html__( "Number of testimonial", "vg-flexshop" ),
				"param_name" => "limit",
				"value" => esc_html__( "10", "vg-flexshop" ),
			),
			array(
				"type" => "textfield",
				"holder" => "div",
				"class" => "",
				"heading" => esc_html__( "Image size", "vg-flexshop" ),
				"param_name" => "size",
				"value" => esc_html__( "120", "vg-flexshop" ),
			),
			array(
					'type' => 'animation_style',
					'heading' => __( 'CSS Animation', 'vg-flexshop' ),
					'param_name' => 'css_animation',
					'value' => '',
					'settings' => array(
					'type' => 'in',
						'custom' => array(
							array(
								'label' => __( 'Default', 'vg-flexshop' ),
								'values' => array(
									__( 'Top to bottom', 'vg-flexshop' ) => 'top-to-bottom',
									__( 'Bottom to top', 'vg-flexshop' ) => 'bottom-to-top',
									__( 'Left to right', 'vg-flexshop' ) => 'left-to-right',
									__( 'Right to left', 'vg-flexshop' ) => 'right-to-left',
									__( 'Appear from center', 'vg-flexshop' ) => 'appear',
								),
							),
						),
					),
					'description' => __( 'Select type of animation for element to be animated when it "enters" the browsers viewport (Note: works only in modern browsers).', 'vg-flexshop' ),
				),
			array(
				'type' => 'textfield',
				'heading' =>  esc_html__( 'Extra class name', 'vg-flexshop' ),
				'param_name' => 'el_class',
				'description' =>  esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'vg-flexshop' ),
			),				
		)
	) );
	
	//Swallow Code Custom elements Visual Composer
	if (function_exists('vgwc_init_scripts')) {
		//List VG WooCarousel
		vc_map(array(
			'name' => esc_html__('VG WooCarousel', 'vg-flexshop'),
			'base' => 'listvgwccarousel',
			'icon' => 'icon-wpb-vg icon-wpb-woocarousel',
			'class' => '',
			'category' => esc_html__('VG Flexshop', 'vg-flexshop'),
			'description' => esc_html__('VG WooCarousel Extensions', 'vg-flexshop'),
			'params' => array(
				array(
					'type' => 'textfield',
					'heading' =>  esc_html__( 'Widget title', 'vg-flexshop' ),
					'param_name' => 'title',
					'description' =>  esc_html__( 'Enter text used as widget title (Note: located above content element).', 'vg-flexshop' ),
				),
				array(
					'type' => 'css_editor',
					'heading' =>  esc_html__( 'CSS box', 'vg-flexshop' ),
					'param_name' => 'css',
					'group' =>  esc_html__( 'Design Options', 'vg-flexshop' ),
				),
				array(
					'type' => 'dropdown',
					'holder' => 'div',
					'class' => '',
					'heading' => esc_html__('VG WooCarousel', 'vg-flexshop'),
					'param_name' => 'alias',
					'admin_label' => true,
					'value' => (isset($vgwctitle)) ? $vgwctitle : '',
					'save_always' => true,
					'description' =>  esc_html__( 'Select your VG WooCarousel.', 'vg-flexshop' ),
				),
				array(
					'type' => 'checkbox',
					'heading' =>  esc_html__( 'Show Icon?', 'vg-flexshop' ),
					'param_name' => 'add_show_icon',
					'description' =>  esc_html__( 'Show Icon.', 'vg-flexshop' ),
					'value' => array(  esc_html__( 'Yes', 'vg-flexshop' ) => 'Yes' ),
					'save_always' => true,
				),
				array(
					'type' => 'dropdown',
					'heading' =>  esc_html__( 'Icon library', 'vg-flexshop' ),
					'value' => array(
						 esc_html__( 'Font Awesome', 'vg-flexshop' ) => 'fontawesome',
						 esc_html__( 'Open Iconic', 'vg-flexshop' ) => 'openiconic',
						 esc_html__( 'Typicons', 'vg-flexshop' ) => 'typicons',
						 esc_html__( 'Entypo', 'vg-flexshop' ) => 'entypo',
						 esc_html__( 'Linecons', 'vg-flexshop' ) => 'linecons',
					),
					'save_always' => true,
					'admin_label' => true,
					'param_name' => 'type',
					'description' =>  esc_html__( 'Select icon library.', 'vg-flexshop' ),
				),
				array(
					'type' => 'iconpicker',
					'heading' =>  esc_html__( 'Icon', 'vg-flexshop' ),
					'param_name' => 'icon_fontawesome',
					'value' => 'fa fa-adjust', // default value to backend editor admin_label
					'save_always' => true,
					'settings' => array(
						'emptyIcon' => true,
						// default true, display an 'EMPTY' icon?
						'iconsPerPage' => 4000,
						// default 100, how many icons per/page to display, we use (big number) to display all icons in single page
					),
					'dependency' => array(
						'element' => 'type',
						'value' => 'fontawesome',
					),
					'description' =>  esc_html__( 'The Always select icon from the library if you want to have the icon.', 'vg-flexshop' ),
				),
				array(
					'type' => 'iconpicker',
					'heading' =>  esc_html__( 'Icon', 'vg-flexshop' ),
					'param_name' => 'icon_openiconic',
					'value' => 'vc-oi vc-oi-dial', // default value to backend editor admin_label
					'save_always' => true,
					'settings' => array(
						'emptyIcon' => false, // default true, display an 'EMPTY' icon?
						'type' => 'openiconic',
						'iconsPerPage' => 4000, // default 100, how many icons per/page to display
					),
					'dependency' => array(
						'element' => 'type',
						'value' => 'openiconic',
					),
					'description' =>  esc_html__( 'The Always select icon from the library if you want to have the icon.', 'vg-flexshop' ),
				),
				array(
					'type' => 'iconpicker',
					'heading' =>  esc_html__( 'Icon', 'vg-flexshop' ),
					'param_name' => 'icon_typicons',
					'value' => 'typcn typcn-adjust-brightness', // default value to backend editor admin_label
					'save_always' => true,
					'settings' => array(
						'emptyIcon' => false, // default true, display an 'EMPTY' icon?
						'type' => 'typicons',
						'iconsPerPage' => 4000, // default 100, how many icons per/page to display
					),
					'dependency' => array(
						'element' => 'type',
						'value' => 'typicons',
					),
					'description' =>  esc_html__( 'The Always select icon from the library if you want to have the icon.', 'vg-flexshop' ),
				),
				array(
					'type' => 'iconpicker',
					'heading' =>  esc_html__( 'Icon', 'vg-flexshop' ),
					'param_name' => 'icon_entypo',
					'value' => 'entypo-icon entypo-icon-note', // default value to backend editor admin_label
					'save_always' => true,
					'settings' => array(
						'emptyIcon' => false, // default true, display an 'EMPTY' icon?
						'type' => 'entypo',
						'iconsPerPage' => 4000, // default 100, how many icons per/page to display
					),
					'dependency' => array(
						'element' => 'type',
						'value' => 'entypo',
					),
				),
				array(
					'type' => 'iconpicker',
					'heading' =>  esc_html__( 'Icon', 'vg-flexshop' ),
					'param_name' => 'icon_linecons',
					'value' => 'vc_li vc_li-heart', // default value to backend editor admin_label
					'save_always' => true,
					'settings' => array(
						'emptyIcon' => false, // default true, display an 'EMPTY' icon?
						'type' => 'linecons',
						'iconsPerPage' => 4000, // default 100, how many icons per/page to display
					),
					'dependency' => array(
						'element' => 'type',
						'value' => 'linecons',
					),
					'description' =>  esc_html__( 'The Always select icon from the library if you want to have the icon.', 'vg-flexshop' ),
				),
				array(
					'type' => 'textfield',
					'heading' =>  esc_html__( 'Extra class name', 'vg-flexshop' ),
					'param_name' => 'el_class',
					'description' =>  esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'vg-flexshop' ),
				),
				array(
					'type' => 'animation_style',
					'heading' => __( 'CSS Animation', 'vg-flexshop' ),
					'param_name' => 'css_animation',
					'value' => '',
					'settings' => array(
					'type' => 'in',
						'custom' => array(
							array(
								'label' => __( 'Default', 'vg-flexshop' ),
								'values' => array(
									__( 'Top to bottom', 'vg-flexshop' ) => 'top-to-bottom',
									__( 'Bottom to top', 'vg-flexshop' ) => 'bottom-to-top',
									__( 'Left to right', 'vg-flexshop' ) => 'left-to-right',
									__( 'Right to left', 'vg-flexshop' ) => 'right-to-left',
									__( 'Appear from center', 'vg-flexshop' ) => 'appear',
								),
							),
						),
					),
					'description' => __( 'Select type of animation for element to be animated when it "enters" the browsers viewport (Note: works only in modern browsers).', 'vg-flexshop' ),
				),
				array(
					'type' => 'textfield',
					'heading' =>  esc_html__( 'Extra class name', 'vg-flexshop' ),
					'param_name' => 'el_class',
					'description' =>  esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'vg-flexshop' ),
				),				
			)
		));
	}
	
	if (function_exists('vgpc_init_scripts')) {
		//List VG PostCarousel
		vc_map(array(
			'name' => esc_html__('VG PostCarousel', 'vg-flexshop'),
			'base' => 'listvgpccarousel',
			'icon' => 'icon-wpb-vg icon-wpb-postcarousel',
			'class' => '',
			'category' => esc_html__('VG Flexshop', 'vg-flexshop'),
			'description' => esc_html__('VG PostCarousel Extensions', 'vg-flexshop'),
			'params' => array(
				array(
					'type' => 'textfield',
					'heading' =>  esc_html__( 'Widget title', 'vg-flexshop' ),
					'param_name' => 'title',
					'description' =>  esc_html__( 'Enter text used as widget title (Note: located above content element).', 'vg-flexshop' ),
				),
				array(
					'type' => 'css_editor',
					'heading' =>  esc_html__( 'CSS box', 'vg-flexshop' ),
					'param_name' => 'css',
					'group' =>  esc_html__( 'Design Options', 'vg-flexshop' ),
				),
				array(
					'type' => 'dropdown',
					'holder' => 'div',
					'class' => '',
					'heading' => esc_html__('VG WooCarousel', 'vg-flexshop'),
					'param_name' => 'alias',
					'admin_label' => true,
					'value' => $vgpctitle,
					'save_always' => true,
					'description' =>  esc_html__( 'Select your VG WooCarousel.', 'vg-flexshop' ),
				),
				array(
					'type' => 'checkbox',
					'heading' =>  esc_html__( 'Show Icon?', 'vg-flexshop' ),
					'param_name' => 'add_show_icon',
					'description' =>  esc_html__( 'Show Icon.', 'vg-flexshop' ),
					'value' => array(  esc_html__( 'Yes', 'vg-flexshop' ) => 'Yes' ),
					'save_always' => true,
				),
				array(
					'type' => 'dropdown',
					'heading' =>  esc_html__( 'Icon library', 'vg-flexshop' ),
					'value' => array(
						 esc_html__( 'Font Awesome', 'vg-flexshop' ) => 'fontawesome',
						 esc_html__( 'Open Iconic', 'vg-flexshop' ) => 'openiconic',
						 esc_html__( 'Typicons', 'vg-flexshop' ) => 'typicons',
						 esc_html__( 'Entypo', 'vg-flexshop' ) => 'entypo',
						 esc_html__( 'Linecons', 'vg-flexshop' ) => 'linecons',
					),
					'save_always' => true,
					'admin_label' => true,
					'param_name' => 'type',
					'description' =>  esc_html__( 'Select icon library.', 'vg-flexshop' ),
				),
				array(
					'type' => 'iconpicker',
					'heading' =>  esc_html__( 'Icon', 'vg-flexshop' ),
					'param_name' => 'icon_fontawesome',
					'value' => 'fa fa-adjust', // default value to backend editor admin_label
					'save_always' => true,
					'settings' => array(
						'emptyIcon' => true,
						// default true, display an 'EMPTY' icon?
						'iconsPerPage' => 4000,
						// default 100, how many icons per/page to display, we use (big number) to display all icons in single page
					),
					'dependency' => array(
						'element' => 'type',
						'value' => 'fontawesome',
					),
					'description' =>  esc_html__( 'The Always select icon from the library if you want to have the icon.', 'vg-flexshop' ),
				),
				array(
					'type' => 'iconpicker',
					'heading' =>  esc_html__( 'Icon', 'vg-flexshop' ),
					'param_name' => 'icon_openiconic',
					'value' => 'vc-oi vc-oi-dial', // default value to backend editor admin_label
					'save_always' => true,
					'settings' => array(
						'emptyIcon' => false, // default true, display an 'EMPTY' icon?
						'type' => 'openiconic',
						'iconsPerPage' => 4000, // default 100, how many icons per/page to display
					),
					'dependency' => array(
						'element' => 'type',
						'value' => 'openiconic',
					),
					'description' =>  esc_html__( 'The Always select icon from the library if you want to have the icon.', 'vg-flexshop' ),
				),
				array(
					'type' => 'iconpicker',
					'heading' =>  esc_html__( 'Icon', 'vg-flexshop' ),
					'param_name' => 'icon_typicons',
					'value' => 'typcn typcn-adjust-brightness', // default value to backend editor admin_label
					'save_always' => true,
					'settings' => array(
						'emptyIcon' => false, // default true, display an 'EMPTY' icon?
						'type' => 'typicons',
						'iconsPerPage' => 4000, // default 100, how many icons per/page to display
					),
					'dependency' => array(
						'element' => 'type',
						'value' => 'typicons',
					),
					'description' =>  esc_html__( 'The Always select icon from the library if you want to have the icon.', 'vg-flexshop' ),
				),
				array(
					'type' => 'iconpicker',
					'heading' =>  esc_html__( 'Icon', 'vg-flexshop' ),
					'param_name' => 'icon_entypo',
					'value' => 'entypo-icon entypo-icon-note', // default value to backend editor admin_label
					'save_always' => true,
					'settings' => array(
						'emptyIcon' => false, // default true, display an 'EMPTY' icon?
						'type' => 'entypo',
						'iconsPerPage' => 4000, // default 100, how many icons per/page to display
					),
					'dependency' => array(
						'element' => 'type',
						'value' => 'entypo',
					),
				),
				array(
					'type' => 'iconpicker',
					'heading' =>  esc_html__( 'Icon', 'vg-flexshop' ),
					'param_name' => 'icon_linecons',
					'value' => 'vc_li vc_li-heart', // default value to backend editor admin_label
					'save_always' => true,
					'settings' => array(
						'emptyIcon' => false, // default true, display an 'EMPTY' icon?
						'type' => 'linecons',
						'iconsPerPage' => 4000, // default 100, how many icons per/page to display
					),
					'dependency' => array(
						'element' => 'type',
						'value' => 'linecons',
					),
					'description' =>  esc_html__( 'The Always select icon from the library if you want to have the icon.', 'vg-flexshop' ),
				),
				array(
					'type' => 'textfield',
					'heading' =>  esc_html__( 'Extra class name', 'vg-flexshop' ),
					'param_name' => 'el_class',
					'description' =>  esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'vg-flexshop' ),
				),
				array(
					'type' => 'animation_style',
					'heading' => __( 'CSS Animation', 'vg-flexshop' ),
					'param_name' => 'css_animation',
					'value' => '',
					'settings' => array(
					'type' => 'in',
						'custom' => array(
							array(
								'label' => __( 'Default', 'vg-flexshop' ),
								'values' => array(
									__( 'Top to bottom', 'vg-flexshop' ) => 'top-to-bottom',
									__( 'Bottom to top', 'vg-flexshop' ) => 'bottom-to-top',
									__( 'Left to right', 'vg-flexshop' ) => 'left-to-right',
									__( 'Right to left', 'vg-flexshop' ) => 'right-to-left',
									__( 'Appear from center', 'vg-flexshop' ) => 'appear',
								),
							),
						),
					),
					'description' => __( 'Select type of animation for element to be animated when it "enters" the browsers viewport (Note: works only in modern browsers).', 'vg-flexshop' ),
				),
				array(
					'type' => 'textfield',
					'heading' =>  esc_html__( 'Extra class name', 'vg-flexshop' ),
					'param_name' => 'el_class',
					'description' =>  esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'vg-flexshop' ),
				),				
			)
		));
	}
	//End Swallow Code Custom elements Visual Composer
}
?>