<?php
/**
 * Cross-sells
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.0
 */

if (! defined('ABSPATH')) exit; // Exit if accessed directly

$flexshop_options  	  = flexshop_get_global_variables();
$product 			  = flexshop_get_global_variables('product');
$woocommerce 		  = flexshop_get_global_variables('woocommerce');
$woocommerce_loop  	  = flexshop_get_global_variables('woocommerce_loop');

$crosssells = WC()->cart->get_cross_sells();

if (sizeof($crosssells) == 0) return;

$meta_query = WC()->query->get_meta_query();

$args = array(
	'post_type'           => 'product',
	'ignore_sticky_posts' => 1,
	'no_found_rows'       => 1,
	'posts_per_page'      => apply_filters('woocommerce_cross_sells_total', -1),
	'orderby'             => $orderby,
	'post__in'            => $crosssells,
	'meta_query'          => $meta_query
);

$products = new WP_Query($args);

$woocommerce_loop['columns'] = apply_filters('woocommerce_cross_sells_columns', $columns);

if ( $cross_sells ) : ?>


<div class="cross-sells">
	<h3 class="widget-title"><span><?php echo isset($flexshop_options['crosssells_title']) ? esc_html($flexshop_options['crosssells_title']) : '' ;?></span></h3>
	<?php esc_html__('Base on your selection, you may be interested in the following items:', 'vg-flexshop');?>
	<div class="cross-carousel">
		<?php woocommerce_product_loop_start(); ?>

				<?php foreach ( $cross_sells as $cross_sell ) : ?>

					<?php
						$post_object = get_post( $cross_sell->get_id() );

						setup_postdata( $GLOBALS['post'] =& $post_object );

						wc_get_template_part( 'content', 'product' ); ?>

				<?php endforeach; ?>

			<?php woocommerce_product_loop_end(); ?>
	</div>
</div>

<?php endif;

wp_reset_postdata();