<?php
/**
 * The template for displaying product category thumbnails within loops.
 *
 * Override this template by copying it to yourtheme/woocommerce/content-product_cat.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.6.1
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $woocommerce_loop;
$flexshop_options  		= flexshop_get_global_variables();

// Store loop count we're currently on
if ( empty( $woocommerce_loop['loop'] ) ) {
	$woocommerce_loop['loop'] = 0;
}

// Store column count for displaying the grid
if ( empty( $woocommerce_loop['columns'] ) ) {
	$woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 3 );
}

// Increase loop count
$woocommerce_loop['loop'] ++;

?>
<div <?php wc_product_cat_class('col-xs-12 col-sm-6 col-lg-6'); ?>>
	
	<div class="cat-item">
		<h3>
		<?php
				echo esc_html($category->name);
		?>
		</h3>
		<div class="catlist-content">
			
			<div class="cat-images">
				<a href="<?php echo get_term_link( $category->slug, 'product_cat' );?>">
				
					<?php
						/**
						 * woocommerce_before_subcategory_title hook
						 *
						 * @hooked woocommerce_subcategory_thumbnail - 10
						 */
						do_action( 'woocommerce_before_subcategory_title', $category );
					?>
					
					<?php
						/**
						 * woocommerce_after_subcategory_title hook
						 */
						do_action( 'woocommerce_after_subcategory_title', $category );
					?>
					
				</a>
			</div>
			
			<ul class="wsubcategs">
				<?php
				$wsubargs = array(
					'hierarchical' => 1,
					'show_option_none' => '',
					'hide_empty' => 0,
					'parent' => $category->term_id,
					'taxonomy' => 'product_cat'
				);
				$wsubcats = get_categories($wsubargs);
				foreach ($wsubcats as $wsc):
				?>
					<li>
						<a href="<?php echo esc_url(get_term_link( $wsc->slug, $wsc->taxonomy ));?>"><?php echo esc_html($wsc->name);?></a>
					</li>
				<?php endforeach;?>
				<li class="link-category">
					<a href="<?php echo get_term_link( $category->slug, 'product_cat' ); ?>" class="vg-button">
						<?php echo esc_html($flexshop_options['button_categories']); ?>
					</a>
				</li>
			</ul>
			
		</div>
	</div>
</div>
