<?php
/**
 * Related Products
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.0.0
 */

if(! defined('ABSPATH')) exit; // Exit if accessed directly

$flexshop_options  		=  flexshop_get_global_variables();
$product  				=  flexshop_get_global_variables('product');
$woocommerce_loop  		=  flexshop_get_global_variables('woocommerce_loop');

$related = wc_get_related_products( $product->get_id(), $limit = $posts_per_page, $exclude_ids = array() );

//HieuJa check Undefile
	$flexshop_options['related_icon'] 	= isset($flexshop_options['related_icon']) ? $flexshop_options['related_icon'] : ""; 
	$flexshop_options['related_title'] 	= isset($flexshop_options['related_title']) ? $flexshop_options['related_title'] : ""; 

if(sizeof($related) == 0) return;

$args = apply_filters('woocommerce_related_products_args', array(
	'post_type'            => 'product',
	'ignore_sticky_posts'  => 1,
	'no_found_rows'        => 1,
	'posts_per_page'       => $posts_per_page,
	'orderby'              => $orderby,
	'post__in'             => $related,
	'post__not_in'         => array($product->get_id())
));

$products = new WP_Query($args);

$woocommerce_loop['columns'] = 1;

if ( $related_products ) : ?>

<div class="widget related_products_widget">
	<div class="vg-title"><h3>
		<?php if(isset($flexshop_options['related_title']) && $flexshop_options['related_title']){ echo esc_html($flexshop_options['related_title']); } ?>
		</h3>
	</div>
	
	<div class="related products">

		<?php woocommerce_product_loop_start(); ?>

			<?php foreach ( $related_products as $related_product ) : ?>

				<?php
				 	$post_object = get_post( $related_product->get_id() );

					setup_postdata( $GLOBALS['post'] =& $post_object );

					wc_get_template_part( 'content', 'product' ); ?>

			<?php endforeach; ?>

		<?php woocommerce_product_loop_end(); ?>
		

	</div>
</div>

<?php endif;

wp_reset_postdata();
